
/*-- SEQ 0001 --*/
CREATE OR REPLACE FUNCTION TmpUpdProAux 
RETURN VARCHAR2 IS
-- Tarefa 95574 --
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Number(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Number(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX,
           CFG.CODCOR_AUX,
           CFG.CODTAM_AUX
      into cFilMat,
           cCodMat,
           iCodCor,
           iCodTam
      from TT_CFG CFG
           
     where ROWNUM = 1
                          ;
    --  atualizando o CODNCM em TT_PRO
    update TT_PRO
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODNCM is null;
    --  atualizando o CODNCM em TT_GRA
    update TT_GRA
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODCOR = iCodCor
       and CODTAM = iCodTam
       and CODNCM is null;
    --  retorno da função
    return 'OK';
END TmpUpdProAux;
/

/*-- SEQ 0002 --*/
-- Tarefa 95574 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Tarefa 95574 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0004 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95574 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := TmpUpdProAux();
end;
/


/*-- SEQ 0005 --*/
-- Tarefa 95574 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0006 --*/
-- Tarefa 95574 --
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95574 --
DROP FUNCTION TmpUpdProAux;


/*-- SEQ 0008 --*/
-- Tarefa 92964 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- Tarefa 92964 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CLASSIFICAABCXYZ','Rotina para classificar produtos por ABC e XYZ',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CLASSIFICAABCXYZ');
/*-- SEQ 0010 --*/
-- Tarefa 92964 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                


/*-- SEQ 0011 --*/
-- Tarefa 93917 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- Tarefa 93917 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CALCULATRACKINGSIGNAL','Rotina para calcular Tracking Signal dos produtos',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0013 --*/
-- Tarefa 93917 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Tarefa 91225 --
ALTER TABLE TT_PLA ADD PLAOUT Number(5) ;


/*-- SEQ 0015 --*/
-- Tarefa 91225 --
ALTER TABLE TT_PLA ADD CONSTRAINT FK_PLA_DOUT FOREIGN KEY (PLAOUT) REFERENCES TD_OUT(CODTAB);

/*-- SEQ 0016 --*/
-- Tarefa 91225 --
CREATE INDEX I_FK_PLA_DOUT ON TT_PLA(PLAOUT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0017 --*/
-- Tarefa 91225 --
ALTER TABLE TT_LID ADD INSTAL Number(5) ;


/*-- SEQ 0018 --*/
-- Tarefa 91225 --
ALTER TABLE TT_LID ADD C4G_ID Number(10) ;


/*-- SEQ 0019 --*/
-- Tarefa 91225 --
CREATE SEQUENCE SQLID INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0020 --*/
-- Tarefa 91225 --
ALTER TABLE TT_LID DISABLE ALL TRIGGERS;


/*-- SEQ 0021 --*/
-- Tarefa 91225 --
UPDATE TT_LID
   SET INSTAL = 1
 WHERE INSTAL IS NULL;

/*-- SEQ 0022 --*/
-- Tarefa 91225 --
ALTER TABLE TT_LID ENABLE ALL TRIGGERS;

/*-- SEQ 0023 --*/
-- Tarefa 91225 --
ALTER TABLE TT_LID DISABLE ALL TRIGGERS;


/*-- SEQ 0024 --*/
-- Tarefa 91225 --
UPDATE TT_LID
   SET C4G_ID = SQLID.NEXTVAL
 WHERE C4G_ID IS NULL;

/*-- SEQ 0025 --*/
-- Tarefa 91225 --
ALTER TABLE TT_LID ENABLE ALL TRIGGERS;

/*-- SEQ 0026 --*/
-- Tarefa 91225 --
CREATE UNIQUE INDEX I_UQ_LID_CODNUMINSC4G ON TT_LID (CODFIL, NUMECF, INSTAL, C4G_ID) TABLESPACE TOTALL_INDEX;



/*-- SEQ 0027 --*/
-- Tarefa 95580 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD TIPSUGPRO Number(1) DEFAULT 0;

/*-- SEQ 0029 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0030 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95580 --
ALTER TABLE TT_CFG MODIFY (TIPSUGPRO CONSTRAINT NN_CFG_TIPSUGPRO NOT NULL);


/*-- SEQ 0031 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95580 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPSUGPRO CHECK (TIPSUGPRO IN ('0','1','2'));

/*-- SEQ 0032 --*/
-- Tarefa 95580 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD TIPSUGPRO Number(1) DEFAULT 0;

/*-- SEQ 0034 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0035 --*/
-- Tarefa 95585 --
ALTER TABLE TT_IOR DISABLE ALL TRIGGERS;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD PROSUG VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0037 --*/
ALTER TABLE TT_IOR ENABLE ALL TRIGGERS;

/*-- SEQ 0038 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95585 --
ALTER TABLE TT_IOR MODIFY (PROSUG CONSTRAINT NN_IOR_PROSUG NOT NULL);


/*-- SEQ 0039 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95585 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_PROSUG CHECK (PROSUG IN ('T','F'));


/*-- SEQ 0040 --*/
-- Tarefa 91215 --
CREATE INDEX I_LC_FIN_NUMDOC ON TT_FIN (NUMDOC) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0041 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD INTSIN Number(5) ;


/*-- SEQ 0042 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_INTSIN CHECK ((INTSIN >= 0) OR (INTSIN IS NULL));

/*-- SEQ 0043 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD OBS_DES_ST VARCHAR2(254) ;


/*-- SEQ 0044 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD OBS_ST_DEV VARCHAR2(254) ;


/*-- SEQ 0045 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD OBS_PERDAS VARCHAR2(254) ;


/*-- SEQ 0046 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0047 --*/
ALTER TABLE TD_FIL ADD ST_INTERESTADUAL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0048 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0049 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL MODIFY (ST_INTERESTADUAL CONSTRAINT NN_DFIL_ST_INTERESTADUAL NOT NULL);


/*-- SEQ 0050 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_ST_INTERESTADUAL CHECK (ST_INTERESTADUAL IN ('F','T'));

/*-- SEQ 0051 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0052 --*/
ALTER TABLE TD_FIL ADD SEGMENTO Number(2) DEFAULT 99;

/*-- SEQ 0053 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0054 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL MODIFY (SEGMENTO CONSTRAINT NN_DFIL_SEGMENTO NOT NULL);


/*-- SEQ 0055 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_SEGMENTO CHECK (SEGMENTO IN (1,2,3,99));



/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP TRIGGER TGFER;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP TRIGGER TGFER2;


/*-- SEQ 0058 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD CARLET CHAR(1) ;


/*-- SEQ 0059 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD CONSTRAINT CK_DCAR_CARLET CHECK ((CARLET >= 'A') AND (CARLET <= 'Z'));

/*-- SEQ 0060 --*/
-- Tarefa 91226 --
CREATE UNIQUE INDEX I_UQ_DCAR_CARLET ON TD_CAR (CARLET) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0061 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD MOELET CHAR(1) ;


/*-- SEQ 0062 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD CONSTRAINT CK_DMOE_MOELET CHECK ((MOELET >= 'A') AND (MOELET <= 'Z'));

/*-- SEQ 0063 --*/
-- Tarefa 91226 --
CREATE UNIQUE INDEX I_UQ_DMOE_MOELET ON TD_MOE (MOELET) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0064 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD OUTLET CHAR(1) ;


/*-- SEQ 0065 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD CONSTRAINT CK_DOUT_OUTLET CHECK ((OUTLET >= 'A') AND (OUTLET <= 'Z'));

/*-- SEQ 0066 --*/
-- Tarefa 91226 --
CREATE UNIQUE INDEX I_UQ_DOUT_OUTLET ON TD_OUT (OUTLET) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0067 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD CCCLET CHAR(1) ;


/*-- SEQ 0068 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD CONSTRAINT CK_DCCC_CCCLET CHECK ((CCCLET >= 'A') AND (CCCLET <= 'Z'));

/*-- SEQ 0069 --*/
-- Tarefa 91226 --
CREATE UNIQUE INDEX I_UQ_DCCC_CCCLET ON TD_CCC (CCCLET) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0070 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD CARIMG VARCHAR2(255) ;


/*-- SEQ 0071 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD MOEIMG VARCHAR2(255) ;


/*-- SEQ 0072 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD OUTIMG VARCHAR2(255) ;


/*-- SEQ 0073 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD CCCIMG VARCHAR2(255) ;


/*-- SEQ 0074 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD CARLIM Number(14,2) ;


/*-- SEQ 0075 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD MOELIM Number(14,2) ;


/*-- SEQ 0076 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD OUTLIM Number(14,2) ;


/*-- SEQ 0077 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD CCCLIM Number(14,2) ;


/*-- SEQ 0078 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR DISABLE ALL TRIGGERS;

/*-- SEQ 0079 --*/
ALTER TABLE TD_CAR ADD CARNIV Number(1) DEFAULT 1;

/*-- SEQ 0080 --*/
ALTER TABLE TD_CAR ENABLE ALL TRIGGERS;

/*-- SEQ 0081 --*/
-- Tarefa 91226 -- 
ALTER TABLE TD_CAR MODIFY (CARNIV CONSTRAINT NN_DCAR_CARNIV NOT NULL);


/*-- SEQ 0082 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD CONSTRAINT CK_DCAR_CARNIV CHECK ((CARNIV = 1) OR (CARNIV = 2));

/*-- SEQ 0083 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE DISABLE ALL TRIGGERS;

/*-- SEQ 0084 --*/
ALTER TABLE TD_MOE ADD MOENIV Number(1) DEFAULT 1;

/*-- SEQ 0085 --*/
ALTER TABLE TD_MOE ENABLE ALL TRIGGERS;

/*-- SEQ 0086 --*/
-- Tarefa 91226 -- 
ALTER TABLE TD_MOE MODIFY (MOENIV CONSTRAINT NN_DMOE_MOENIV NOT NULL);


/*-- SEQ 0087 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD CONSTRAINT CK_DMOE_MOENIV CHECK ((MOENIV = 1) OR (MOENIV = 2));

/*-- SEQ 0088 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT DISABLE ALL TRIGGERS;

/*-- SEQ 0089 --*/
ALTER TABLE TD_OUT ADD OUTNIV Number(1) DEFAULT 1;

/*-- SEQ 0090 --*/
ALTER TABLE TD_OUT ENABLE ALL TRIGGERS;

/*-- SEQ 0091 --*/
-- Tarefa 91226 -- 
ALTER TABLE TD_OUT MODIFY (OUTNIV CONSTRAINT NN_DOUT_OUTNIV NOT NULL);


/*-- SEQ 0092 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD CONSTRAINT CK_DOUT_OUTNIV CHECK ((OUTNIV = 1) OR (OUTNIV = 2));

/*-- SEQ 0093 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC DISABLE ALL TRIGGERS;

/*-- SEQ 0094 --*/
ALTER TABLE TD_CCC ADD CCCNIV Number(1) DEFAULT 1;

/*-- SEQ 0095 --*/
ALTER TABLE TD_CCC ENABLE ALL TRIGGERS;

/*-- SEQ 0096 --*/
-- Tarefa 91226 -- 
ALTER TABLE TD_CCC MODIFY (CCCNIV CONSTRAINT NN_DCCC_CCCNIV NOT NULL);


/*-- SEQ 0097 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD CONSTRAINT CK_DCCC_CCCNIV CHECK ((CCCNIV = 1) OR (CCCNIV = 2));

/*-- SEQ 0098 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD CARLET CHAR(1) ;


/*-- SEQ 0099 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD CARIMG VARCHAR2(255) ;


/*-- SEQ 0100 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD CARLIM Number(14,2) ;


/*-- SEQ 0101 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0102 --*/
ALTER TABLE TW_TAB ADD CARNIV Number(1) DEFAULT 1;

/*-- SEQ 0103 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0104 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD MOELET CHAR(1) ;


/*-- SEQ 0105 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD MOEIMG VARCHAR2(255) ;


/*-- SEQ 0106 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD MOELIM Number(14,2) ;


/*-- SEQ 0107 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0108 --*/
ALTER TABLE TW_TAB ADD MOENIV Number(1) DEFAULT 1;

/*-- SEQ 0109 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0110 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD OUTLET CHAR(1) ;


/*-- SEQ 0111 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD OUTIMG VARCHAR2(255) ;


/*-- SEQ 0112 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD OUTLIM Number(14,2) ;


/*-- SEQ 0113 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0114 --*/
ALTER TABLE TW_TAB ADD OUTNIV Number(1) DEFAULT 1;

/*-- SEQ 0115 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0116 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD CCCLET CHAR(1) ;


/*-- SEQ 0117 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD CCCIMG VARCHAR2(255) ;


/*-- SEQ 0118 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD CCCLIM Number(14,2) ;


/*-- SEQ 0119 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0120 --*/
ALTER TABLE TW_TAB ADD CCCNIV Number(1) DEFAULT 1;

/*-- SEQ 0121 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0122 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ADD RTTDIG VARCHAR2(200) ;


/*-- SEQ 0123 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT DISABLE ALL TRIGGERS;

/*-- SEQ 0124 --*/
ALTER TABLE TD_RTT ADD RTTTEF VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0125 --*/
ALTER TABLE TD_RTT ENABLE ALL TRIGGERS;

/*-- SEQ 0126 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT MODIFY (RTTTEF CONSTRAINT NN_DRTT_RTTTEF NOT NULL);


/*-- SEQ 0127 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ADD CONSTRAINT CK_DRTT_RTTTEF CHECK (RTTTEF IN ('F','T'));

/*-- SEQ 0128 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ADD RTTBAR VARCHAR2(200) ;


/*-- SEQ 0129 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT DISABLE ALL TRIGGERS;

/*-- SEQ 0130 --*/
ALTER TABLE TD_RTT ADD RTTTIP Number(1) DEFAULT 0;

/*-- SEQ 0131 --*/
ALTER TABLE TD_RTT ENABLE ALL TRIGGERS;

/*-- SEQ 0132 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT MODIFY (RTTTIP CONSTRAINT NN_DRTT_RTTTIP NOT NULL);


/*-- SEQ 0133 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ADD CONSTRAINT CK_DRTT_RTTTIP CHECK (RTTTIP IN (0,1,2,3,4));

/*-- SEQ 0134 --*/
-- Tarefa 91222 --
ALTER TABLE TD_CAR ADD REGCAR VARCHAR2(15) ;


/*-- SEQ 0135 --*/
-- Tarefa 91222 --
ALTER TABLE TD_CAR DISABLE ALL TRIGGERS;

/*-- SEQ 0136 --*/
ALTER TABLE TD_CAR ADD MINAUT Number(2) DEFAULT 4;

/*-- SEQ 0137 --*/
ALTER TABLE TD_CAR ENABLE ALL TRIGGERS;

/*-- SEQ 0138 --*/
-- Tarefa 91222 --
ALTER TABLE TD_CAR MODIFY (MINAUT CONSTRAINT NN_DCAR_MINAUT NOT NULL);


/*-- SEQ 0139 --*/
-- Tarefa 91222 --
ALTER TABLE TD_CAR ADD CONSTRAINT CK_DCAR_MINAUT CHECK (MINAUT >= 0);

/*-- SEQ 0140 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB ADD RTTDIG VARCHAR2(200) ;


/*-- SEQ 0141 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0142 --*/
ALTER TABLE TW_TAB ADD RTTTEF VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0143 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0144 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB ADD RTTBAR VARCHAR2(200) ;


/*-- SEQ 0145 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0146 --*/
ALTER TABLE TW_TAB ADD RTTTIP Number(1) DEFAULT 0;

/*-- SEQ 0147 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0148 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB ADD REGCAR VARCHAR2(15) ;


/*-- SEQ 0149 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0150 --*/
ALTER TABLE TW_TAB ADD MINAUT Number(2) DEFAULT 4;

/*-- SEQ 0151 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0152 --*/
-- Tarefa 91223 --
ALTER TABLE TD_OUT ADD REGOUT VARCHAR2(15) ;


/*-- SEQ 0153 --*/
-- Tarefa 91223 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0154 --*/
ALTER TABLE TD_ECF ADD NIVLOG Number(1) DEFAULT 3;

/*-- SEQ 0155 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0156 --*/
-- Tarefa 91223 --
ALTER TABLE TD_ECF MODIFY (NIVLOG CONSTRAINT NN_DECF_NIVLOG NOT NULL);


/*-- SEQ 0157 --*/
-- Tarefa 91223 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_NIVLOG CHECK (NIVLOG IN (0,1,2,3,9));

/*-- SEQ 0158 --*/
-- Tarefa 91223 --
ALTER TABLE TD_CCC DISABLE ALL TRIGGERS;

/*-- SEQ 0159 --*/
ALTER TABLE TD_CCC ADD CCCCAI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0160 --*/
ALTER TABLE TD_CCC ENABLE ALL TRIGGERS;

/*-- SEQ 0161 --*/
-- Tarefa 91223 --
ALTER TABLE TD_CCC MODIFY (CCCCAI CONSTRAINT NN_DCCC_CCCCAI NOT NULL);


/*-- SEQ 0162 --*/
-- Tarefa 91223 --
ALTER TABLE TD_CCC ADD CONSTRAINT CK_DCC_CCCCAI CHECK (CCCCAI IN ('F','T'));

/*-- SEQ 0163 --*/
-- Tarefa 91223 --
ALTER TABLE TW_TAB ADD REGOUT VARCHAR2(15) ;


/*-- SEQ 0164 --*/
-- Tarefa 91223 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0165 --*/
ALTER TABLE TW_TAB ADD NIVLOG Number(1) DEFAULT 3;

/*-- SEQ 0166 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0167 --*/
-- Tarefa 91223 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0168 --*/
ALTER TABLE TW_TAB ADD CCCCAI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0169 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;



/*-- SEQ 0170 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD ALIFEDNAC Number(4,2) ;


/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIFEDNAC CHECK ((ALIFEDNAC >= 0) OR (ALIFEDNAC IS NULL));

/*-- SEQ 0172 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD ALIFEDIMP Number(4,2) ;


/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIFEDIMP CHECK ((ALIFEDIMP >= 0) OR (ALIFEDIMP IS NULL));

/*-- SEQ 0174 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD ALIEST Number(4,2) ;


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIEST CHECK ((ALIEST >= 0) OR (ALIEST IS NULL));

/*-- SEQ 0176 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD ALIMUN Number(4,2) ;


/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIMUN CHECK ((ALIMUN >= 0) OR (ALIMUN IS NULL));

/*-- SEQ 0178 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD DATINI Date ;


/*-- SEQ 0179 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD DATFIM Date ;


/*-- SEQ 0180 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD CHAVE CHAR(6) ;


/*-- SEQ 0181 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD VERSAO VARCHAR2(6) ;


/*-- SEQ 0182 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD FONTE VARCHAR2(34) ;


/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
CREATE INDEX I_LC_IBP_DATINI ON TT_IBP (DATINI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP DROP CONSTRAINT NN_IBP_ALINAC;


/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP DROP CONSTRAINT NN_IBP_ALIIMP;



/*-- SEQ 0186 --*/
-- Tarefa 95604 --
ALTER TABLE TT_IBP DISABLE ALL TRIGGERS;


/*-- SEQ 0187 --*/
-- Tarefa 95604 --
UPDATE TT_IBP
   SET DATINI = TO_DATE('01/07/2013','DD/MM/YYYY'),
       DATFIM = TO_DATE('31/12/2014','DD/MM/YYYY')
     WHERE DATINI IS NULL;

/*-- SEQ 0188 --*/
-- Tarefa 95604 --
ALTER TABLE TT_IBP ENABLE ALL TRIGGERS;


/*-- SEQ 0189 --*/
-- Tarefa 95598 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0190 --*/
-- Tarefa 95598 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,393)||'S'||SUBSTR(PERMIS,395,9999);

/*-- SEQ 0191 --*/
-- Tarefa 95598 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0192 --*/
-- Tarefa 91217 --
CREATE TABLE TD_IMG (
  CODIMG Number(5),
  DESIMG VARCHAR2(15),
  LETIMG CHAR(1),
  NOMIMG VARCHAR2(255),
  IMGATI VARCHAR2(1) DEFAULT 'T')
  TABLESPACE TOTALL_DATA;

/*-- SEQ 0193 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT PK_DIMG PRIMARY KEY (CODIMG);

/*-- SEQ 0194 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (DESIMG CONSTRAINT NN_DIMG_DESIMG NOT NULL);


/*-- SEQ 0195 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (IMGATI CONSTRAINT NN_DIMG_IMGATI NOT NULL);


/*-- SEQ 0196 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_IMGATI CHECK (IMGATI IN ('T','F'));

/*-- SEQ 0197 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (LETIMG CONSTRAINT NN_DIMG_LETIMG NOT NULL);

 
/*-- SEQ 0198 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_LETIMG CHECK ((LETIMG >= 'A') AND (LETIMG <= 'Z'));

/*-- SEQ 0199 --*/
-- Tarefa 91217 --
CREATE UNIQUE INDEX I_UQ_DIMG_LETIMG ON TD_IMG (LETIMG) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0200 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB ADD CODIMG Number(5) ;


/*-- SEQ 0201 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB ADD DESIMG VARCHAR2(15) ;


/*-- SEQ 0202 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB ADD LETIMG CHAR(1) ;


/*-- SEQ 0203 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB ADD NOMIMG VARCHAR2(255) ;


/*-- SEQ 0204 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0205 --*/
ALTER TABLE TW_TAB ADD IMGATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0206 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0207 --*/
-- Tarefa 91217 --
INSERT INTO TD_IMG (CODIMG, DESIMG, LETIMG, NOMIMG, IMGATI)  
  (SELECT 0, 'NÃO USA', 'A', '', 'T'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_IMG
                       WHERE CODIMG= '0')); 






/*-- SEQ 0208 --*/
-- Tarefa 91221 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0209 --*/
ALTER TABLE TT_PRO ADD CODIMG Number(5) DEFAULT 0;

/*-- SEQ 0210 --*/
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0211 --*/
-- Tarefa 91221 --
ALTER TABLE TT_PRO MODIFY (CODIMG CONSTRAINT NN_PRO_CODIMG NOT NULL);


/*-- SEQ 0212 --*/
-- Tarefa 91221 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DIMG FOREIGN KEY (CODIMG) REFERENCES TD_IMG(CODIMG);

/*-- SEQ 0213 --*/
-- Tarefa 91221 --
ALTER TABLE TT_GRA ADD IMGGRU VARCHAR2(255) ;



/*-- SEQ 0214 --*/
-- Tarefa 95652 --
ALTER TABLE TD_NAT ADD NATMEN Number(2) ;


/*-- SEQ 0215 --*/
-- Tarefa 95652 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_NATMEN CHECK ((NATMEN >= 01 ) AND (NATMEN <= 99));

/*-- SEQ 0216 --*/
-- Tarefa 95652 --
CREATE UNIQUE INDEX I_UQ_DNAT_NATMEN ON TD_NAT (NATMEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0217 --*/
-- Tarefa 95652 --
ALTER TABLE TW_TAB ADD NATMEN Number(2) ;




/*-- SEQ 0218 --*/
-- Tarefa 94794 --
CREATE TABLE TD_MVP (
  CODMOT Number(5),
  DESMOT VARCHAR2(30),
  USOMOT VARCHAR2(1),
  CONMOT VARCHAR2(1),
  PERMOT Number(4),
  DESMAXMOT Number(5,2),
  ACRMAXMOT Number(5,2),
  TIPMOT VARCHAR2(1),
  MOTATI VARCHAR2(1)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0219 --*/ 
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT PK_MVP PRIMARY KEY (CODMOT);

/*-- SEQ 0220 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_USOMOT CHECK (USOMOT IN ('-','+','2'));

/*-- SEQ 0221 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_TIPMOT CHECK (TIPMOT IN ('I','F','A'));

/*-- SEQ 0222 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_MOTATI CHECK (MOTATI IN ('T','F'));

 /*-- SEQ 0223 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP MODIFY (DESMOT CONSTRAINT NN_DMVP_DESMOT NOT NULL);

 
/*-- SEQ 0224 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 1, 'Preço errado na prateleira', '2', 'F', 'T', 0, 'I'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '1')); 
 
 
/*-- SEQ 0225 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 2, 'Produto com leve avaria', '-', 'F', 'T', 0, 'I'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '2')); 
                       
/*-- SEQ 0226 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 3, 'Produto com grave defeito', '-', 'F', 'T', 0, 'I'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '3'));                        
                       
/*-- SEQ 0227 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 4, 'Cobrindo anúncio concorrente', '-', 'T', 'T', 0, 'A'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '4'));                                               
                       
/*-- SEQ 0228 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 5, 'Negociação', '2', 'F', 'T', 0, 'A'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '5'));  

                       /*-- SEQ 0229 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 6, 'Outros', '2', 'F', 'T', 0, 'A'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '6'));
                      
/*-- SEQ 0230 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD CODMOT Number(5) ;
                       
                       
/*-- SEQ 0231 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD DESMOT VARCHAR2(30) ;
        

/*-- SEQ 0232 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD USOMOT VARCHAR2(1) ;
                      

/*-- SEQ 0233 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD CONMOT VARCHAR2(1) ;
                      

/*-- SEQ 0234 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD PERMOT Number(4) ;
 

/*-- SEQ 0235 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD DESMAXMOT Number(5,2) ;


/*-- SEQ 0236 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD ACRMAXMOT Number(5,2) ;


/*-- SEQ 0237 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD TIPMOT VARCHAR2(1) ;


/*-- SEQ 0238 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD MOTATI VARCHAR2(1) ;



/*-- SEQ 0239 --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD DISABLE ALL TRIGGERS;

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SAD ADD FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0241 --*/
ALTER TABLE TD_SAD ENABLE ALL TRIGGERS;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD MODIFY (FLGPES CONSTRAINT NN_DSAD_FLGPES NOT NULL);


/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ADD CONSTRAINT CK_DSAD_FLGPES CHECK (FLGPES IN ('A','F','J'));

/*-- SEQ 0244 --*/
-- Tarefa 95660 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAD ADD CODSEG VARCHAR2(25) ;



/*-- SEQ 0245 --*/
-- Tarefa 94796 --
ALTER TABLE TT_IVE ADD CODMOT Number(5) ;


/*-- SEQ 0246 --*/
-- Tarefa 94796 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_MVP FOREIGN KEY (CODMOT) REFERENCES TD_MVP(CODMOT);

/*-- SEQ 0247 --*/
-- Tarefa 94796 --
CREATE INDEX I_FK_IVE_MVP ON TT_IVE(CODMOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0248 --*/
-- Tarefa 94796 --
ALTER TABLE TT_IVE ADD CODCNC Number(5) ;


/*-- SEQ 0249 --*/
-- Tarefa 94796 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CNC FOREIGN KEY (CODCNC) REFERENCES TD_CNC(CODTAB);

/*-- SEQ 0250 --*/
-- Tarefa 94796 --
CREATE INDEX I_FK_IVE_CNC ON TT_IVE(CODCNC) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0251 --*/
-- Tarefa 95635 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD SEP_FAT_RETIRA_DEPOSITO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0253 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0254 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95635 --
ALTER TABLE TT_CFG MODIFY (SEP_FAT_RETIRA_DEPOSITO CONSTRAINT NN_CFG_SEP_FAT_RETIRA_DEPOSITO NOT NULL);


/*-- SEQ 0255 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95635 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEP_FAT_RETIRA_DEPOSITO CHECK (SEP_FAT_RETIRA_DEPOSITO IN ('T','F'));

/*-- SEQ 0256 --*/
-- Tarefa 95635 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD SEP_FAT_RETIRA_DEPOSITO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0258 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0259 --*/
-- Tarefa 93308 --
ALTER TABLE TD_FIL ADD IP_TEF VARCHAR2(15) ;


/*-- SEQ 0260 --*/
-- Tarefa 93308 --
ALTER TABLE TD_FIL ADD CODTEF VARCHAR2(8) ;


/*-- SEQ 0261 --*/
-- Tarefa 93308 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0262 --*/
ALTER TABLE TD_FIL ADD TEF_AVISTA VARCHAR2(254) DEFAULT '[10;17;18;19;27;28;34;35;45;41;36]';

/*-- SEQ 0263 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0264 --*/
-- Tarefa 93308 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0265 --*/
ALTER TABLE TD_FIL ADD TEF_APRAZO VARCHAR2(254) DEFAULT '[27;36;24;26;45;41]';

/*-- SEQ 0266 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0267 --*/
-- Tarefa 93308 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0268 --*/
ALTER TABLE TD_FIL ADD TEF_ADCIONAIS VARCHAR2(254) DEFAULT 'ValorIncluiTaxa=-1;ItemMenuIdentificado=1;';

/*-- SEQ 0269 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0270 --*/
-- Tarefa 93308 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0271 --*/
ALTER TABLE TD_FIL ADD TEF_PARAMETROS VARCHAR2(254) DEFAULT '[VersaoAutomacaoCielo=TOTALL4G10]';

/*-- SEQ 0272 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;


/*-- SEQ 0273 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB ADD COBLET CHAR(1) ;


/*-- SEQ 0274 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB ADD CONSTRAINT CK_DCOB_COBLET CHECK ((COBLET >= 'A') AND (COBLET <= 'Z'));

/*-- SEQ 0275 --*/
-- Tarefa 92336 --
CREATE UNIQUE INDEX I_UQ_DCOB_COBLET ON TD_COB (COBLET) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0276 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB ADD COBIMG VARCHAR2(255) ;


/*-- SEQ 0277 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB DISABLE ALL TRIGGERS;

/*-- SEQ 0278 --*/
ALTER TABLE TD_COB ADD COBNIV Number(1) DEFAULT 1;

/*-- SEQ 0279 --*/
ALTER TABLE TD_COB ENABLE ALL TRIGGERS;

/*-- SEQ 0280 --*/
-- Tarefa 92336 -- 
ALTER TABLE TD_COB MODIFY (COBNIV CONSTRAINT NN_DCOB_COBNIV NOT NULL);


/*-- SEQ 0281 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB ADD CONSTRAINT CK_DCOB_COBNIV CHECK (COBNIV IN (1,2));

/*-- SEQ 0282 --*/
-- Tarefa 92336 --
ALTER TABLE TW_TAB ADD COBLET CHAR(1) ;


/*-- SEQ 0283 --*/
-- Tarefa 92336 --
ALTER TABLE TW_TAB ADD COBIMG VARCHAR2(255) ;


/*-- SEQ 0284 --*/
-- Tarefa 92336 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0285 --*/
ALTER TABLE TW_TAB ADD COBNIV Number(1) DEFAULT 1;

/*-- SEQ 0286 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0287 --*/
-- Tarefa 95662 --
ALTER TABLE TT_SAD DISABLE ALL TRIGGERS;

/*-- SEQ 0288 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAD ADD SIGNAT Number(5) DEFAULT 0;

/*-- SEQ 0289 --*/
ALTER TABLE TT_SAD ENABLE ALL TRIGGERS;

/*-- SEQ 0290 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95662 -- 
ALTER TABLE TT_SAD MODIFY (SIGNAT CONSTRAINT NN_SAD_SIGNAT NOT NULL);



/*-- SEQ 0291 --*/
-- Tarefa 95664 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD FILSAD CHAR(3) ;


/*-- SEQ 0292 --*/
-- Tarefa 95664 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD SEQSAD CHAR(10) ;


/*-- SEQ 0293 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95664 --
ALTER TABLE TT_SAV ADD CONSTRAINT FK_SAV_SAD FOREIGN KEY (FILSAD,SEQSAD) REFERENCES TT_SAD(CODFIL,SEQUEN);

/*-- SEQ 0294 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;


/*-- SEQ 0295 --*/
-- Tarefa 95664 --
UPDATE TT_SAV SAV SET FILSAD = (SELECT SAD.CODFIL
                                  FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                                                  INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                                        AND IOR.TIPPED = TAB.TIPPED
                                                                        AND IOR.NUMPED = TAB.NUMPED
                                                                        AND IOR.NUMITE = TAB.NUMITE
                                                  INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                                        AND SAD.FILMAT = IOR.FILMAT
                                                                        AND SAD.CODMAT = IOR.CODMAT
                                                                        AND SAD.CODCOR = IOR.CODCOR
                                                                        AND SAD.CODTAM = IOR.CODTAM
                                  WHERE TAB.CODFIL = SAV.CODFIL
                                    AND TAB.SEQUEN = SAV.SEQUEN),
                      SEQSAD = (SELECT SAD.SEQUEN
                                  FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                                                  INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                                        AND IOR.TIPPED = TAB.TIPPED
                                                                        AND IOR.NUMPED = TAB.NUMPED
                                                                        AND IOR.NUMITE = TAB.NUMITE
                                                  INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                                        AND SAD.FILMAT = IOR.FILMAT
                                                                        AND SAD.CODMAT = IOR.CODMAT
                                                                        AND SAD.CODCOR = IOR.CODCOR
                                                                        AND SAD.CODTAM = IOR.CODTAM
                                  WHERE TAB.CODFIL = SAV.CODFIL
                                    AND TAB.SEQUEN = SAV.SEQUEN)
 WHERE (SAV.CODFIL,SAV.SEQUEN) IN
       (SELECT TAB.CODFIL, TAB.SEQUEN
          FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                          INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                AND IOR.TIPPED = TAB.TIPPED
                                                AND IOR.NUMPED = TAB.NUMPED
                                                AND IOR.NUMITE = TAB.NUMITE
                          INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                AND SAD.FILMAT = IOR.FILMAT
                                                AND SAD.CODMAT = IOR.CODMAT
                                                AND SAD.CODCOR = IOR.CODCOR
                                                AND SAD.CODTAM = IOR.CODTAM);

/*-- SEQ 0296 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;


/*-- SEQ 0297 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95664 --
CREATE INDEX I_FK_SAV_SAD ON TT_SAV(FILSAD,SEQSAD) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0298 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 95580 --  
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_TIPSUGPRO;  

/*-- SEQ 0299 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95580 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPSUGPRO CHECK (TIPSUGPRO IN (0, 1, 2));


/*-- SEQ 0300 --*/
-- Tarefa 95439 --
ALTER TABLE TT_LOT DISABLE ALL TRIGGERS;

/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_LOT ADD LOTATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0302 --*/
ALTER TABLE TT_LOT ENABLE ALL TRIGGERS;

/*-- SEQ 0303 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95439 --
ALTER TABLE TT_LOT MODIFY (LOTATI CONSTRAINT NN_LOT_LOTATI NOT NULL);


/*-- SEQ 0304 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95439 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_LOTATI CHECK (LOTATI IN ('F','T'));


/*-- SEQ 0305 --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;

/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD EXPORT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0307 --*/
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV MODIFY (EXPORT CONSTRAINT NN_SAV_EXPORT NOT NULL);


/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0310 --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;

/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD EXPCAN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0312 --*/
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV MODIFY (EXPCAN CONSTRAINT NN_SAV_EXPCAN NOT NULL);


/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPORT ON TT_SAV (EXPORT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPCAN ON TT_SAV (EXPCAN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0317 --*/
-- Tarefa 91221 --
CREATE INDEX I_FK_PRO_DIMG ON TT_PRO(CODIMG) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0318 --*/
-- Tarefa 95730 --
ALTER TABLE TD_FIL ADD FILENT_REGESP CHAR(3) ;



/*-- SEQ 0319 --*/
-- Tarefa 95732 --
ALTER TABLE TT_IVE ADD FILRES CHAR(3) ;


/*-- SEQ 0320 --*/
-- Tarefa 95732 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_FIL FOREIGN KEY (FILRES) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0321 --*/
-- Tarefa 95732 --
CREATE INDEX I_FK_IVE_FIL ON TT_IVE(FILRES) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95743 --
DROP FUNCTION TGR_IVE_Atualiza_Reserva;

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95743 --
DROP FUNCTION TGR_IVE_Atualiza_Reserva_Lote;

/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95743 --
DROP FUNCTION Atu_ReservaPendente;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 95743 --*/
SELECT * FROM NADA;



/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
CREATE TABLE TI_INV (
    CODEXT VARCHAR2(20),
    CODFIL CHAR(3),
    APEUSU VARCHAR2(10),
    DATCRI Date,
    DESINV VARCHAR2(40),
    DESEST VARCHAR2(30),
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
) TABLESPACE TOTALL_DATA;

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (CODEXT CONSTRAINT NN_IINV_CODEXT NOT NULL);


/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (CODFIL CONSTRAINT NN_IINV_CODFIL NOT NULL);


/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (APEUSU CONSTRAINT NN_IINV_APEUSU NOT NULL);


/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (DATCRI CONSTRAINT NN_IINV_DATCRI NOT NULL);


/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (DESINV CONSTRAINT NN_IINV_DESINV NOT NULL);


/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (STATUS CONSTRAINT NN_IINV_STATUS NOT NULL);


/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
CREATE INDEX I_LC_IINV_STATUS ON TI_INV (STATUS, DATCRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
CREATE TABLE TI_IIN (
    INV_CODEXT VARCHAR2(20),
    GRA_CODEXT VARCHAR2(20),
    GRA_REFUNI VARCHAR2(20),
    QTDCON Number(12,4),
    DATCRI Date,
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
) TABLESPACE TOTALL_DATA;

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN MODIFY (INV_CODEXT CONSTRAINT NN_IIIN_INV_CODEXT NOT NULL);


/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN MODIFY (QTDCON CONSTRAINT NN_IIIN_QTDCON NOT NULL);


/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ADD CONSTRAINT CK_IIIN_QTDCON CHECK (QTDCON >= 0);

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN MODIFY (DATCRI CONSTRAINT NN_IIIN_DATCRI NOT NULL);


/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN MODIFY (STATUS CONSTRAINT NN_IIIN_STATUS NOT NULL);


/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
CREATE INDEX I_LC_IIIN_STATUS ON TI_IIN (STATUS, DATCRI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0341 --*/
-- Tarefa 95661 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0343 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0344 --*/
-- Tarefa 95959 --
ALTER TABLE TD_SAD ADD REPSAD VARCHAR2(254) ;


/*-- SEQ 0345 --*/
-- Tarefa 95959 --
ALTER TABLE TW_TAB ADD REPSAD VARCHAR2(254) ;



/*-- SEQ 0346 --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN DROP COLUMN PERDEV CASCADE CONSTRAINT;

/*-- SEQ 0347 --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN DROP COLUMN IPIDEV CASCADE CONSTRAINT;



  DROP TABLE TD_IMG cascade constraints;

/*-- SEQ 0348 --*/
-- Tarefa 91217 --
CREATE TABLE TD_IMG (
  CODTAB Number(5),
  DESIMG VARCHAR2(15),
  LETIMG CHAR(1),
  NOMIMG VARCHAR2(255),
  IMGATI VARCHAR2(1) DEFAULT 'T')
  TABLESPACE TOTALL_DATA;

/*-- SEQ 0349 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT PK_DIMG PRIMARY KEY (CODTAB);

/*-- SEQ 0350 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (DESIMG CONSTRAINT NN_DIMG_DESIMG NOT NULL);


/*-- SEQ 0351 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (IMGATI CONSTRAINT NN_DIMG_IMGATI NOT NULL);


/*-- SEQ 0352 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_IMGATI CHECK (IMGATI IN ('T','F'));

/*-- SEQ 0353 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG MODIFY (LETIMG CONSTRAINT NN_DIMG_LETIMG NOT NULL);

 
/*-- SEQ 0354 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_LETIMG CHECK ((LETIMG >= 'A') AND (LETIMG <= 'Z'));

/*-- SEQ 0355 --*/
-- Tarefa 91217 --
CREATE UNIQUE INDEX I_UQ_DIMG_LETIMG ON TD_IMG (LETIMG) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91217 --
ALTER TABLE TW_TAB DROP COLUMN CODIMG CASCADE CONSTRAINT;

/*-- SEQ 0357 --*/
-- Tarefa 91217 --
INSERT INTO TD_IMG (CODTAB, DESIMG, LETIMG, NOMIMG, IMGATI)  
  (SELECT 0, 'NÃO USA', 'A', '', 'T'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_IMG
                       WHERE CODTAB= '0')); 








/*-- SEQ 0358 --*/
-- Tarefa 94794 --
  DROP TABLE TD_MVP cascade constraints;

/*-- SEQ 0359 --*/
-- Tarefa 94794 --
CREATE TABLE TD_MVP (
  CODTAB Number(5),
  DESMOT VARCHAR2(30),
  USOMOT VARCHAR2(1),
  CONMOT VARCHAR2(1),
  PERMOT Number(4),
  DESMAXMOT Number(5,2),
  ACRMAXMOT Number(5,2),
  TIPMOT VARCHAR2(1),
  MOTATI VARCHAR2(1)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0360 --*/ 
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT PK_DMVP PRIMARY KEY (CODTAB);

/*-- SEQ 0361 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_USOMOT CHECK (USOMOT IN ('-','+','2'));

/*-- SEQ 0362 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_TIPMOT CHECK (TIPMOT IN ('I','F','A'));

/*-- SEQ 0363 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_MOTATI CHECK (MOTATI IN ('T','F'));

 /*-- SEQ 0364 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP MODIFY (DESMOT CONSTRAINT NN_DMVP_DESMOT NOT NULL);

 
/*-- SEQ 0365 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 1, 'Preço errado na prateleira', '2', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '1')); 
  
/*-- SEQ 0366 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 2, 'Produto com leve avaria', '-', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '2')); 
                       
/*-- SEQ 0367 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 3, 'Produto com grave defeito', '-', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '3'));                        
                       
/*-- SEQ 0368 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 4, 'Cobrindo anúncio concorrente', '-', 'T', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '4'));                                               
                       
/*-- SEQ 0369 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (Select 5, 'Negociação', '2', 'F', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '5'));  

/*-- SEQ 0370 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)
  (select 6, 'Outros', '2', 'F', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '6'));

/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB DROP COLUMN CODMOT CASCADE CONSTRAINT;

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94794 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_MVP FOREIGN KEY (CODMOT) REFERENCES TD_MVP (CODTAB);


/*-- SEQ 0373 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV;

/*-- SEQ 0374 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV IN ('A', 'B', 'C', 'D', 'E', 'H', 'M', 'O', 'S', 'U', 'V', '1', '2', '3', '4', '5', '9', 'X'));

/*-- SEQ 0375 --*/
-- Tarefa 94451 --
ALTER TABLE TT_ILI MODIFY (CODEXT VARCHAR2(40));

/*-- SEQ 0376 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS MODIFY (DATVAL CONSTRAINT NN_LIS_DATVAL NOT NULL);


/*-- SEQ 0377 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS MODIFY (FLGEST CONSTRAINT NN_LIS_FLGEST NOT NULL);


/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_ILI MODIFY (SITMOV CONSTRAINT NN_LIS_SITMOV NOT NULL);



/*-- SEQ 0379 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;


/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI MODIFY (DESLPR CONSTRAINT NN_SLI_DESLPR NOT NULL);


/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI MODIFY (SIGNAT CONSTRAINT NN_SLI_SIGNAT NOT NULL);



/*-- SEQ 0389 --*/
-- Tarefa 95771 --
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_EXPCAN;

/*-- SEQ 0390 --*/
-- Tarefa 95771 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPCAN IN ('T','F'));


/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DBIC_LAC ON TD_BIC (FILLAC,SEQLAC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0392 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DCOB_DCOB ON TD_COB (COBPAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0393 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DCTR_CTA_PRAZO ON TD_CTR (FILPRA,SEQPRA,TIPPRA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFCC_GRA ON TD_FCC (FCC_FILMAT,FCC_CODMAT,FCC_CODCOR,FCC_CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFCC_DFIL ON TD_FCC (FCCFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_CTA ON TD_FIL (TESFIL,TESSEQ,TESTIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0397 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DCTR ON TD_FIL (CTR_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0398 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DEND ON TD_FIL (TIPEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_DSER ON TD_FIL (SERPAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0400 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_CTA_OUT ON TD_FIL (FILOUT,SEQOUT,TIPOUT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_JUR_CTA ON TD_FIL (FILJUR,SEQJUR,TIPJUR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0402 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_LAN_CTA ON TD_FIL (FILLAN,SEQLAN,TIPLAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0403 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DFIL_TAR_CTA ON TD_FIL (FILTAR,SEQTAR,TIPTAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0404 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DLAN_DNAT ON TD_LAN (LANNAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0405 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_TST ON TD_MOD (FILTST,CODTST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_USU ON TD_MOD (FILINT,CODINT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0407 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DMOD_WOR ON TD_MOD (FILWOR,CODWOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0408 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATFUF ON TD_NAT (NATFUF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0409 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATRED ON TD_NAT (NATRED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0410 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DNAT_NATREF ON TD_NAT (NATREF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0411 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DREL_PRIMIN ON TD_REL (PRIMIN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0412 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DSAD_CODRTT ON TD_SAD (CODRTT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0413 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_LECF_USU ON TL_ECF (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0414 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_RMOV_ICO ON TR_MOV (FILICO,SEQICO,NUMICO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0415 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ABM_USU ON TT_ABM (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0416 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ACR_VEN ON TT_ACR (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ASS_UID ON TT_ASS (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CBP_END ON TT_CBP (FILCLI,CODCLI,FILEND,NUMEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0419 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI ON TT_CFG (VC_FILCLI,VC_CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0420 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCC ON TT_CFG (TIPCCC_RAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0421 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_FIN ON TT_CFG (FILCTA_TRN,SEQCTA_TRN,TIPCTA_TRN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PGT ON TT_CFG (VC_FILPGT,VC_CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR ON TT_CFG (FILPRE,CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_USU ON TT_CFG (ULTSAC_FILUSU,ULTSAC_CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DAMP ON TT_CFG (PAPHOAMPLIA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0426 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCCC ON TT_CFG (TIPCCC_PMI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0427 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCFO ON TT_CFG (TRANSFER_CODCFO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0428 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCON ON TT_CFG (CONTATO_FINANCEIRO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0429 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCWS ON TT_CFG (SAC_TIPSUP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DDOP ON TT_CFG (DOPCCC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DECB ON TT_CFG (COD_ECB_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DEXP ON TT_CFG (CODEXP_COLETOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DFUN ON TT_CFG (SAC_CODFUN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0434 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DLAN ON TT_CFG (PAPHOTIPLAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0435 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT ON TT_CFG (NAT_FAT_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0436 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DOUT ON TT_CFG (MEIO_TAXASERVICO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0437 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DPRI ON TT_CFG (SAC_CODPRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0438 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER ON TT_CFG (VC_SERIE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0439 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSIT ON TT_CFG (SAC_FLGSIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0440 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSTD ON TT_CFG (CHEQUE,CHESTD,USOSTD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0441 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DVEI ON TT_CFG (VEI_ORC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0442 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_SERIE ON TT_CFG (SERIE_FAT_CC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0443 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CL4WEB ON TT_CFG (CL4WEB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0444 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CREDIT ON TT_CFG (CC_CREDFORNECEDOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0445 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOR_1 ON TT_CFG (COB_MOD_CODCOR1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0446 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOR_2 ON TT_CFG (COB_MOD_CODCOR2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0447 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_OBSERV ON TT_CFG (PAPHOOBSPADRAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0448 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DOUT_MA ON TT_CFG (MEIO_ABATIMENTO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0449 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRJ_PXD ON TT_CFG (FILPRJ_PXD,SEQPRJ_PXD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0450 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_SRV ON TT_CFG (FILSRV,CODSRV,TIPSRV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0451 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_ATC ON TT_CFG (FILPRE_ATC,CODPRE_ATC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0452 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_PRE ON TT_CFG (PDA_FILPRE,PDA_CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0453 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_TPR_REV ON TT_CFG (FILPRE_REV,CODPRE_REV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0454 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER_TAM ON TT_CFG (TAMANHO_OBSERVACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0455 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_REIMP_CF ON TT_CFG (CODNAT_REIMP_CF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0456 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_WORKFLOW ON TT_CFG (CC_WORKFLOW) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0457 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_DIMED ON TT_CFG (FIL_DIMED,COD_DIMED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0458 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DEVOLUCAO ON TT_CFG (CC_DEVOLUCAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0459 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PAP_TODOS ON TT_CFG (FIL_PAPEL_TODOS,SEQ_PAPEL_TODOS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0460 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_DIMPER ON TT_CFG (FIL_DIMPER,COD_DIMPER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0461 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_NAT_CREICM ON TT_CFG (NAT_CREICM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0462 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_AMPLIA ON TT_CFG (PAPHOFILAMPLIA,PAPHOCODAMPLIA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0463 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_REVAMP ON TT_CFG (PAPHOFILREVAMP,PAPHOCODREVAMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0464 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PRO_REVELA ON TT_CFG (PAPHOFILREVELA,PAPHOCODREVELA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0465 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_GENESIO ON TT_CFG (FIL_GENESIO,COD_GENESIO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0466 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCOB_PORTKE ON TT_CFG (PORTKE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0467 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DFIL_FILCMP ON TT_CFG (FILCMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0468 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATFAT ON TT_CFG (NATFAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0469 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATVEN ON TT_CFG (NATVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0470 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_ALTDAT ON TT_CFG (INT_ALT_DAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0471 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_ALTVLR ON TT_CFG (INT_ALT_VLR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0472 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_CANTIT ON TT_CFG (INT_CAN_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0473 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INCTIT ON TT_CFG (INT_INC_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0474 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_PAGCAR ON TT_CFG (INT_PAG_CAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0475 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_USU_GERENTE ON TT_CFG (COB_FIL_GERENTE,COB_COD_GERENTE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0476 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_ESPECIAL ON TT_CFG (FIL_ESPECIAL,COD_ESPECIAL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0477 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_PROFARMA ON TT_CFG (FIL_PROFARMA,COD_PROFARMA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0478 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_PANARELLO ON TT_CFG (FIL_PANARELLO,COD_PANARELLO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0479 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_CLI_SANTACRUZ ON TT_CFG (FIL_SANTACRUZ,COD_SANTACRUZ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0480 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DIV_AMPLIACAO ON TT_CFG (PADIVAMPLIACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0481 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_TRANSFER ON TT_CFG (TRANSFER_NAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0482 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DSER_TRANSFER ON TT_CFG (TRANSFER_SER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0483 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DCCC_CARTAFRETE ON TT_CFG (CC_CARTAFRETE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0484 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_CAN_DES ON TT_CFG (INT_CAN_DES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0485 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_CON_DES ON TT_CFG (INT_CON_DES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0486 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_PRT_TIT ON TT_CFG (INT_PRT_TIT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0487 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_S_B_PRT ON TT_CFG (INT_S_B_PRT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0488 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DREM_INT_S_C_PRT ON TT_CFG (INT_S_C_PRT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0489 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_PAESTOQUEVENDA_MUL ON TT_CFG (PAESTOQUEVENDA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0490 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATADJUDICACAOICMS ON TT_CFG (NATADJUDICACAOICMS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0491 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CFG_DNAT_NATRESSARCIMENTOST ON TT_CFG (NATRESSARCIMENTOST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0492 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_GUI ON TT_CLI (FILGUI,CODGUI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0493 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DCUS ON TT_CLI (CENCUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0494 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DPAI ON TT_CLI (CODPAI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0495 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CLI_DCUS_CODCUS ON TT_CLI (CODCUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0496 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_COM_DFPS_CODFPS ON TT_COM (CODFPS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0497 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_CPM_LOT ON TT_CPM (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0498 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DIS_END ON TT_DIS (FILFOR,CODFOR,FILEND,NUMEND) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0499 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DIS_USU ON TT_DIS (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0500 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DOP_CLI ON TT_DOP (FILCLI,CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0501 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DOP_DCOB ON TT_DOP (PORORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0502 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_FIN_DMOE ON TT_FIN (CODMOE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0503 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_FLW_SITORI ON TT_FLW (SITORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0504 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDF_MUN ON TT_IDF (CODCID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0505 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDF_LOJA ON TT_IDF (CODLOJ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0506 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_GRA ON TT_IDI (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0507 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_IPE ON TT_IDI (FILPED,NUMPED,ITEPED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0508 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_USU ON TT_IDI (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0509 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IDI_FILORI ON TT_IDI (FILORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0510 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IOR_DECF_ECFVEN ON TT_IOR (CODFIL,ECFVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0511 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_USU_ORI ON TT_LAN (FILORI,CODORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0512 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ORC_GUI ON TT_ORC (FILGUI,CODGUI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0513 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_ORC_DNAT ON TT_ORC (CODNAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0514 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PIV_DCL3 ON TT_PIV (CODCL3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0515 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PIV_DCL4 ON TT_PIV (CODCL4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0516 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PRO_REL ON TT_PRO (FILMAR,CODMAR,TIPMAR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0517 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAD_GRA ON TT_SAD (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0518 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAD_DSAD ON TT_SAD (CODSAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0519 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_CLI ON TT_SAV (FILCLI,CODCLI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0520 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_ORC ON TT_SAV (FILPED,TIPPED,NUMPED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0521 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_RTT ON TT_SAV (FILRTT,SEQRTT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0522 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_VEN ON TT_SAV (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0523 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_SAV_DSAD ON TT_SAV (CODSAD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0524 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DCOR_1 ON TW_CFG (COB_MOD_CODCOR1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0525 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DCOR_2 ON TW_CFG (COB_MOD_CODCOR2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0526 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DOUT_MA ON TW_CFG (MEIO_ABATIMENTO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0527 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_PRO_SRV ON TW_CFG (FILSRV,CODSRV,TIPSRV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0528 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_TPR_PRE ON TW_CFG (PDA_FILPRE,PDA_CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0529 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_DSER_TAM ON TW_CFG (TAMANHO_OBSERVACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0530 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_WCFG_PAESTOQUEVENDA_MUL ON TW_CFG (PAESTOQUEVENDA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0531 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_PLA ON TT_DESXCLI (FILPGT,CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0532 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL2 ON TT_DESXCLI (CLASS2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0533 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL3 ON TT_DESXCLI (CLASS3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0534 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DCL4 ON TT_DESXCLI (CLASS4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0535 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_DESXCLI_DFIL ON TT_DESXCLI (FILVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0536 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IVEXIPE_LOT ON TT_IVEXIPE (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0537 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_PLAXCAR_PLA ON TT_PLAXCAR (FILPGT,CODPGT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0538 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95849 --
CREATE INDEX I_FK_IAG_AGE ON TT_IAG (CODFIL,SEQUEN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0539 --*/
-- Tarefa 00000 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0540 --*/
-- Tarefa 00000 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCALI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCALI'));

/*-- SEQ 0541 --*/
-- Tarefa 00000 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

