
/*-- SEQ 0001 --*/
-- Tarefa 95697 --
ALTER TABLE TT_IVO DISABLE ALL TRIGGERS;


/*-- SEQ 0002 --*/
-- Tarefa 95697 --
UPDATE TT_IVO SET FLGEST = 'C',
                  CONTEM = 0,
                  QTDFAL = 0
WHERE (FILVOL,SEQUEN) IN
      (SELECT IVO.FILVOL,
              IVO.SEQUEN
        FROM TT_IVO IVO INNER JOIN TT_IVE IVE ON  IVE.CODFIL = IVO.FILIVE
                                              AND IVE.SEQUEN = IVO.SEQIVE
                                              AND IVE.NUMITE = IVO.NUMIVE
                        INNER JOIN TT_IOR IOR ON  IOR.FILIVE = IVE.CODFIL
                                              AND IOR.SEQIVE = IVE.SEQUEN
                                              AND IOR.NUMIVE = IVE.NUMITE
                        CROSS JOIN TT_CFG CFG
       WHERE IOR.TIPENT = '3' -- RETIRA NO DEPÓSITO
         AND IVE.LANEST = 'R' -- FATURA
         AND IVO.FLGEST NOT IN ('F','N','P','E')
         AND IVO.FILIMP IS NULL -- SEM IMPRESSAO
         AND CFG.SEP_FAT_RETIRA_DEPOSITO = 'F' -- CONFIGURADO PARA FATURA NÃO GERAR IVO
         AND COALESCE(IVE.QTDPEN,999) = 0);
		 
/*-- SEQ 0003 --*/
-- Tarefa 95697 --
ALTER TABLE TT_IVO ENABLE ALL TRIGGERS;




/*-- SEQ 0004 --*/
-- Tarefa 96330 --
ALTER TABLE TT_IVE ADD VLRCOMSUG Number(12,2) ;



/*-- SEQ 0005 --*/
-- Tarefa 96337 --
ALTER TABLE TT_ICO ADD BASICMAGR Number(14,2) ;


/*-- SEQ 0006 --*/
-- Tarefa 96337 --
ALTER TABLE TT_ICO ADD ALIICMAGR Number(6,4) ;


/*-- SEQ 0007 --*/
-- Tarefa 96337 --
ALTER TABLE TT_ICO ADD VLRICMAGR Number(12,2) ;



/*-- SEQ 0008 --*/
-- Tarefa 96326 --
ALTER TABLE TT_SAD ADD VLRCOM Number(14,2) ;



/*-- SEQ 0009 --*/
-- Tarefa 96324 --
ALTER TABLE TD_SAD ADD PERCOM_DSAD Number(6,4) ;


/*-- SEQ 0010 --*/
-- Tarefa 96324 --
ALTER TABLE TW_TAB ADD PERCOM_DSAD Number(6,4) ;



/*-- SEQ 0011 --*/
-- Tarefa 96327 --
ALTER TABLE TD_FIL ADD PERCOMSUG Number(6,4) ;



/*-- SEQ 0012 --*/
-- Tarefa 96079 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
-- Tarefa 96079 --
UPDATE TT_CFG
   SET CKNEGATIVO = 1
 WHERE CKNEGATIVO NOT IN (1,2,3);

/*-- SEQ 0014 --*/
-- Tarefa 96079 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0015 --*/
-- Tarefa 96079 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKNEGATIVO CHECK (CKNEGATIVO IN (1,2,3));


/*-- SEQ 0016 --*/
-- Tarefa 96188 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0017 --*/
ALTER TABLE TW_TAB ADD ICMIMP Number(14,4) DEFAULT 4;

/*-- SEQ 0018 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;




/*-- SEQ 0019 --*/
-- Tarefa 94795 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_CONMOT CHECK (CONMOT IN ('T','F'));


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96619 --
CREATE INDEX I_LC_RSUG_ANO_MES ON TR_SUG (ANO_MES) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96619 --
BEGIN
   -- Declara a varivel que receber o resultado do select.
   DECLARE job                   Number;
   BEGIN

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CALCELAST;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CONTARNUMEROVENDAS;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CLASSIFICAABCXYZ;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CALCMEDIADESVIOPXF;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;

      -- Captura a identificao da Job.
      SELECT COALESCE((SELECT Job
                         FROM USER_JOBS
                        WHERE What = 'JOB_CALCULATRACKINGSIGNAL;'), 0)
        INTO job
        FROM DUAL;

      -- Remove a job.
      IF job > 0 THEN
         DBMS_JOB.Remove(job);
      END IF;
   END;
END;
/

/*-- SEQ 0022 --*/
-- Tarefa 96619 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0023 --*/
-- Tarefa 96619 --
DELETE FROM TT_JOB
 WHERE NOMJOB IN ('JOB_CALCELAST',
                  'JOB_CONTARNUMEROVENDAS',
                  'JOB_CLASSIFICAABCXYZ',
                  'JOB_CALCMEDIADESVIOPXF',
                  'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0024 --*/
-- Tarefa 96619 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0025 --*/
-- Tarefa 96633 --
ALTER TABLE TD_NAT DISABLE ALL TRIGGERS;


/*-- SEQ 0026 --*/
-- Tarefa 96633 --
INSERT INTO TD_NAT
(CODTAB, LANVEN, TIPNAT, FINANC,
 MOVEST, NATATI, TRIBUT, USACUS,
 NATURE, OBSERV, NATOLN, SEQEXC,
 DEVVIN)
(SELECT 0, 'T', 'V', 'T',
        'T', 'T', 'T', 'F',
        'NAO USA', 'MEMO', 3, '         1',
        'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_NAT
                     WHERE CODTAB = 0));

/*-- SEQ 0027 --*/
-- Tarefa 96633 --
ALTER TABLE TD_NAT ENABLE ALL TRIGGERS;


/*-- SEQ 0028 --*/
-- Tarefa 96325 --
ALTER TABLE TT_SAD DROP COLUMN VLRCOM CASCADE CONSTRAINT;

/*-- SEQ 0029 --*/
-- Tarefa 96325 --
ALTER TABLE TT_SAV ADD VLRCOM Number(14,2) ;



/*-- SEQ 0030 --*/
-- Tarefa 96695 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0031 --*/
-- Tarefa 96695 --
ALTER TABLE TT_USU MODIFY (PERMIS VARCHAR2(1000));

/*-- SEQ 0032 --*/
-- Tarefa 96695 --
UPDATE TT_USU
   SET PERMIS = RPAD(TRIM(PERMIS),1000,'N');

/*-- SEQ 0033 --*/
-- Tarefa 96695 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0034 --*/
-- Tarefa 96695 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0035 --*/
-- Tarefa 96695 --
ALTER TABLE TT_PAP MODIFY (PERMIS VARCHAR2(1000));

/*-- SEQ 0036 --*/
-- Tarefa 96695 --
UPDATE TT_PAP
   SET PERMIS = RPAD(TRIM(PERMIS),1000,'N');

/*-- SEQ 0037 --*/
-- Tarefa 96695 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;


/*-- SEQ 0038 --*/
-- Tarefa 95982 --
CREATE TABLE TT_IORXDET (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    /* FK TT_IOR */
    FILPED CHAR(3),
    NUMPED CHAR(8),
    TIPPED CHAR(1),
    ITEPED Number(5),
    /* FK TT_IOR */    
    /* FK TT_ITI */
    FILTIN CHAR(3),
    SEQTIN CHAR(10),
    ITETIN Number(5),
    /* FK TT_ITI */    
    /* FK TT_KIT */
    FILKIT CHAR(3),
    SEQKIT CHAR(10),
    /* FK TT_KIT */    
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Number(5),
    CODTAM Number(5),
    QTDITE Number(12,4),    
    VLRUNI Number(14,4),
    VLRTOT Number(12,2),
    VLRDES Number(12,2),
    DESRAT Number(12,2),
    DATINC Date,
    ATU_EM Date,
    /* Colunas de Impostos */
    ICMTIP CHAR(1),
    CUSPRO Number(14,4),
    REDICM Number(7,4),
    BASICM Number(12,2),
    TAXICM Number(6,4),
    VLRICM Number(12,2),
    REDSUB Number(7,4),
    MVAVEN Number(14,4),
    BASSUB Number(12,2),
    TAXSUB Number(6,4),
    VLRSUB Number(12,2),
    BASIPI Number(12,2),
    VLRIPI Number(12,2),
    BASCOF Number(12,2),
    VLRCOF Number(12,2),
    BASPIS Number(12,2),
    VLRPIS Number(12,2),
    VLRIRR Number(12,2),
    VLRSOC Number(12,2),
    VLRCOM Number(12,2),
    BASSTC Number(14,4),
    VLRSTC Number(14,4),
    VLROPE Number(12,2),
    VLROPEFIX Number(12,2),
    VLRLUC Number(12,2),
    PERLUC Number(10,4),
    CUSMAR Number(12,2),
    VLRFRE Number(12,2),    
    VLRSEG Number(12,2),
    VLRIPIFRE Number(12,2),
    FILUSU CHAR(3),
    CODUSU CHAR(3)
  ) TABLESPACE TOTALL_DATA;  
  
/*-- SEQ 0039 --*/ 
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT PK_IORXDET PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0040 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0041 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_DFIL ON TT_IORXDET (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0042 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_IOR FOREIGN KEY (FILPED, NUMPED, TIPPED, ITEPED) REFERENCES TT_IOR (CODFIL, NUMPED, TIPPED, NUMITE);
 
/*-- SEQ 0043 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_IOR ON TT_IORXDET (FILPED, NUMPED, TIPPED, ITEPED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0044 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0045 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_GRA ON TT_IORXDET (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0046 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_ITI FOREIGN KEY (FILTIN, SEQTIN, ITETIN) REFERENCES TT_ITI (CODFIL, SEQUEN, NUMITE);
 
/*-- SEQ 0047 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_ITI ON TT_IORXDET (FILTIN, SEQTIN, ITETIN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0048 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_KIT FOREIGN KEY (FILKIT, SEQKIT) REFERENCES TT_KIT (FILMAT, SEQUEN);
 
/*-- SEQ 0049 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_KIT ON TT_IORXDET (FILKIT, SEQKIT) TABLESPACE TOTALL_INDEX;    

/*-- SEQ 0050 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);
 
/*-- SEQ 0051 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_USU ON TT_IORXDET (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0052 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (ICMTIP CONSTRAINT NN_IORXDET_ICMTIP NOT NULL);


/*-- SEQ 0053 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (FILPED CONSTRAINT NN_IORXDET_FILPED NOT NULL);


/*-- SEQ 0054 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (NUMPED CONSTRAINT NN_IORXDET_NUMPED NOT NULL);


/*-- SEQ 0055 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (TIPPED CONSTRAINT NN_IORXDET_TIPPED NOT NULL);


/*-- SEQ 0056 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (ITEPED CONSTRAINT NN_IORXDET_ITEPED NOT NULL);


/*-- SEQ 0057 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (FILMAT CONSTRAINT NN_IORXDET_FILMAT NOT NULL);


/*-- SEQ 0058 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (CODMAT CONSTRAINT NN_IORXDET_CODMAT NOT NULL);


/*-- SEQ 0059 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (CODCOR CONSTRAINT NN_IORXDET_CODCOR NOT NULL);


/*-- SEQ 0060 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (CODTAM CONSTRAINT NN_IORXDET_CODTAM NOT NULL);


/*-- SEQ 0061 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (QTDITE CONSTRAINT NN_IORXDET_QTDITE NOT NULL);

 
/*-- SEQ 0062 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (VLRUNI CONSTRAINT NN_IORXDET_VLRUNI NOT NULL);


/*-- SEQ 0063 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (VLRTOT CONSTRAINT NN_IORXDET_VLRTOT NOT NULL);


/*-- SEQ 0064 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (DATINC CONSTRAINT NN_IORXDET_DATINC NOT NULL);


/*-- SEQ 0065 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (ATU_EM CONSTRAINT NN_IORXDET_ATU_EM NOT NULL);


/*-- SEQ 0066 --*/
-- Tarefa 95982 --
CREATE SEQUENCE SQIORXDET INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0067 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET MODIFY (ICMTIP DEFAULT '0');

/*-- SEQ 0068 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IOR ADD TIPDET VARCHAR2(1) ;


/*-- SEQ 0069 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_TIPDET CHECK ((TIPDET IN ('K','T')) OR (TIPDET IS NULL));


/*-- SEQ 0070 --*/
-- Tarefa 96786 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD PROSUG VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0072 --*/
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96786 --
ALTER TABLE TT_IVE MODIFY (PROSUG CONSTRAINT NN_IVE_PROSUG NOT NULL);


/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96786 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_PROSUG CHECK (PROSUG IN ('F', 'T'));

/*-- SEQ 0075 --*/
-- Tarefa 96786 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0076 --*/
-- Tarefa 96786 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'IVE_PROSUG', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'IVE_PROSUG'));

/*-- SEQ 0077 --*/
-- Tarefa 96786 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0078 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0079 --*/
ALTER TABLE TD_FIL ADD TIPCOM CHAR(1) DEFAULT 'V';

/*-- SEQ 0080 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0081 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL MODIFY (TIPCOM CONSTRAINT NN_DFIL_TIPCOM NOT NULL);


/*-- SEQ 0082 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TIPCOM CHECK (TIPCOM IN ('A', 'V'));

/*-- SEQ 0083 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0084 --*/
ALTER TABLE TD_FIL ADD DESIPI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0085 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0086 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL MODIFY (DESIPI CONSTRAINT NN_DFIL_DESIPI NOT NULL);


/*-- SEQ 0087 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DESIPI CHECK (DESIPI IN ('F', 'T'));


/*-- SEQ 0088 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0089 --*/
ALTER TABLE TT_CFG ADD PERIPITRA Number(5,2) DEFAULT 90;

/*-- SEQ 0090 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0091 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG MODIFY (PERIPITRA CONSTRAINT NN_CFG_PERIPITRA NOT NULL);


/*-- SEQ 0092 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PERIPITRA CHECK (PERIPITRA >= 0);

/*-- SEQ 0093 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0094 --*/
ALTER TABLE TT_CFG ADD PERIPIATA Number(5,2) DEFAULT 90;

/*-- SEQ 0095 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0096 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG MODIFY (PERIPIATA CONSTRAINT NN_CFG_PERIPIATA NOT NULL);


/*-- SEQ 0097 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PERIPIATA CHECK (PERIPIATA  >= 0);

/*-- SEQ 0098 --*/
-- Tarefa 96578 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0099 --*/
ALTER TABLE TW_CFG ADD PERIPITRA Number(5,2) DEFAULT 90;

/*-- SEQ 0100 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0101 --*/
-- Tarefa 96578 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0102 --*/
ALTER TABLE TW_CFG ADD PERIPIATA Number(5,2) DEFAULT 90;

/*-- SEQ 0103 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0104 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD TAXIPICAL Number(6,4) ;


/*-- SEQ 0105 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD BASIPICAL Number(12,2) ;


/*-- SEQ 0106 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD VLRIPICAL Number(12,2) ;


/*-- SEQ 0107 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD VLRFILDES Number(12,4) ;


/*-- SEQ 0108 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD IPITRA Number(5,2) ;


/*-- SEQ 0109 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD TAXIPICAL Number(6,4) ;


/*-- SEQ 0110 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD BASIPICAL Number(12,2) ;


/*-- SEQ 0111 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD VLRIPICAL Number(12,2) ;


/*-- SEQ 0112 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD VLRFILDES Number(12,4) ;


/*-- SEQ 0113 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD IPITRA Number(5,2) ;




/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
DROP TRIGGER TG_LOG_TD_SAD;

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
CREATE TABLE BKP_TD_SAD AS
SELECT CODTAB, FORIMP
  FROM TD_SAD;

/*-- SEQ 0116 --*/
-- Tarefa 96813 --
ALTER TABLE TD_SAD DISABLE ALL TRIGGERS;


/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
UPDATE TD_SAD
   SET FORIMP = NULL
 WHERE EXISTS (SELECT 1 AS OK  
                 FROM BKP_TD_SAD);

/*-- SEQ 0118 --*/
-- Tarefa 96813 --
ALTER TABLE TD_SAD MODIFY (FORIMP LONG);

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
UPDATE TD_SAD
   SET FORIMP = (SELECT BKP.FORIMP 
                   FROM BKP_TD_SAD BKP 
                  WHERE BKP.CODTAB = TD_SAD.CODTAB);

/*-- SEQ 0120 --*/
-- Tarefa 96813 --
ALTER TABLE TD_SAD ENABLE ALL TRIGGERS;

/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96813 --
DROP TABLE BKP_TD_SAD;

/*-- SEQ 0122 --*/
-- Tarefa 96813 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;


/*-- SEQ 0123 --*/
-- Tarefa 96813 --
UPDATE TW_TAB
   SET FORIMP = NULL;

/*-- SEQ 0124 --*/
-- Tarefa 96813 --
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0125 --*/
-- Tarefa 96813 --
ALTER TABLE TW_TAB MODIFY (FORIMP LONG);





/*-- SEQ 0126 --*/
-- Tarefa 96695 --
ALTER TABLE TI_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0127 --*/
-- Tarefa 96695 --
ALTER TABLE TI_USU MODIFY (PERMIS VARCHAR2(1000));

/*-- SEQ 0128 --*/
-- Tarefa 96695 --
UPDATE TI_USU
   SET PERMIS = RPAD(TRIM(PERMIS),1000,'N');

/*-- SEQ 0129 --*/
-- Tarefa 96695 --
ALTER TABLE TI_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0130 --*/
-- Tarefa 91212 --
CREATE TABLE TM_ATU (
    ID     Number(10),
    NOMTAB VARCHAR2(30),
    FILTRO VARCHAR2(4000),
    USERID Number(10),
    FLGEST CHAR(1),
    DATINC Date
    ) TABLESPACE TOTALL_DATA;
   
/*-- SEQ 0131 --*/ 
-- Tarefa 91212 --
ALTER TABLE TM_ATU ADD CONSTRAINT PK_MATU PRIMARY KEY (ID);

/*-- SEQ 0132 --*/
-- Tarefa 91212 --
ALTER TABLE TM_ATU MODIFY (NOMTAB CONSTRAINT NN_MATU_NOMTAB NOT NULL);


/*-- SEQ 0133 --*/
-- Tarefa 91212 --
ALTER TABLE TM_ATU MODIFY (FLGEST CONSTRAINT NN_MATU_FLGEST NOT NULL);


/*-- SEQ 0134 --*/
-- Tarefa 91212 --
CREATE SEQUENCE SQMATU INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0135 --*/
-- Tarefa 91212 --
ALTER TABLE TM_ATU MODIFY (FLGEST DEFAULT 'N');

/*-- SEQ 0136 --*/
-- Tarefa 91212 --
ALTER TABLE TM_ATU ADD CONSTRAINT CK_MATU_FLGEST CHECK (FLGEST IN ('N','P'));

/*-- SEQ 0137 --*/
-- Tarefa 91212 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

 
/*-- SEQ 0138 --*/
-- Tarefa 91212 --
INSERT INTO TT_JOB (NOMJOB, DESJOB, ULTEXE, QTDERR, ULTERR)
SELECT 'JOB_SETARDATAATUALIZACAO', 'Rotina para atualizar Data na Tabela Principal', Agora(), 0, NULL
  FROM DUAL
 WHERE NOT EXISTS (
       SELECT 1 AS OK
         FROM TT_JOB
        WHERE NOMJOB = 'JOB_SETARDATAATUALIZACAO'
       );
 
/*-- SEQ 0139 --*/
-- Tarefa 91212 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0140 --*/
-- Tarefa 91212 --
DROP PACKAGE PC_CLI_CASCADE;


/*-- SEQ 0141 --*/
-- Tarefa 96805 --
ALTER TABLE TW_CLI MODIFY (E_MAIL VARCHAR2(254));


/*-- SEQ 0142 --*/
-- Tarefa 96701 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0143 --*/
-- Tarefa 96701 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,399)||CASE WHEN USANDB='T' THEN 'S' ELSE 'N' END ||CASE WHEN EDINDB='T' THEN 'S' ELSE 'N' END ||CASE WHEN AGENDB='T' THEN 'S' ELSE 'N' END ||CASE WHEN USANDC='T' THEN 'S' ELSE 'N' END ||SUBSTR(PERMIS,404,9999);

/*-- SEQ 0144 --*/
-- Tarefa 96701 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;



/*-- SEQ 0145 --*/
-- Tarefa 96883 --
ALTER TABLE TT_COM ADD FINNFE CHAR(1) ;


/*-- SEQ 0146 --*/
-- Tarefa 96883 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_FINNFE CHECK (FINNFE IN ('1','2','3','4'));



/*-- SEQ 0147 --*/
-- Tarefa 96891 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0148 --*/
ALTER TABLE TD_FIL ADD DESIPITRA VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0149 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0150 --*/
-- Tarefa 96891 --
ALTER TABLE TD_FIL MODIFY (DESIPITRA CONSTRAINT NN_DFIL_DESIPITRA NOT NULL);


/*-- SEQ 0151 --*/
-- Tarefa 96891 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DESIPITRA CHECK (DESIPITRA IN ('F', 'T'));


/*-- SEQ 0152 --*/
CREATE OR REPLACE FUNCTION ProximoCodigoMigracao (pTabela IN VARCHAR2 ,
                                    pFilial IN TD_FIL.CODFIL%TYPE )
RETURN VARCHAR2 IS
   nProximo                      Number;
BEGIN
   IF pTabela = 'TT_SLT' THEN SELECT SQSLT.NEXTVAL INTO nProximo FROM DUAL;
   END IF;
   IF nProximo IS NOT NULL THEN
       RETURN LPAD(RTRIM(TO_CHAR(nProximo)),10,' ');
   END IF;
END ProximoCodigoMigracao;
/

/*-- SEQ 0153 --*/
-- Tarefa 96855 --
ALTER TABLE TT_LOT DISABLE ALL TRIGGERS;


/*-- SEQ 0154 --*/
-- Tarefa 96855 --
ALTER TABLE TT_SLT DISABLE ALL TRIGGERS;


/*-- SEQ 0155 --*/
-- Tarefa 96855 --
INSERT INTO TT_SLT 
(CODFIL, SEQUEN, CODMUL, FILLOT, SEQLOT, QTDEST, RESERV, ATU_EM)
SELECT LOT.CODFIL,
       ProximoCodigoMigracao('TT_SLT', LOT.CODFIL),
       0,
       LOT.CODFIL,
       LOT.SEQUEN,
       0,
       0,
       Agora()
  FROM TT_LOT LOT
 WHERE LOT.QTDINI <> 0
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_SLT SLT
                    WHERE SLT.FILLOT = LOT.CODFIL
                      AND SLT.SEQLOT = LOT.SEQUEN
                      AND SLT.CODFIL = LOT.CODFIL
                      AND SLT.CODMUL = 0);

/*-- SEQ 0156 --*/
-- Tarefa 96855 --
UPDATE TT_SLT SLT
   SET QTDEST = SLT.QTDEST + (SELECT LOT.QTDINI
                                FROM TT_LOT LOT
                               WHERE LOT.CODFIL = SLT.FILLOT
                                 AND LOT.SEQUEN = SLT.SEQLOT)
 WHERE SLT.CODFIL = SLT.FILLOT
   AND SLT.CODMUL = 0
   AND (SLT.FILLOT, SLT.SEQLOT) IN (SELECT LOT.CODFIL, LOT.SEQUEN
                                      FROM TT_LOT LOT
                                     WHERE LOT.CODFIL = SLT.FILLOT
                                       AND LOT.SEQUEN = SLT.SEQLOT
                                       AND LOT.QTDINI <> 0);

/*-- SEQ 0157 --*/
-- Tarefa 96855 --
UPDATE TT_LOT
   SET QTDINI = 0
 WHERE QTDINI <> 0;

/*-- SEQ 0158 --*/
-- Tarefa 96855 --
UPDATE TT_LOT
   SET QTDEST = 0
 WHERE QTDEST <> 0;

/*-- SEQ 0159 --*/
-- Tarefa 96855 --
ALTER TABLE TT_LOT ENABLE ALL TRIGGERS;

/*-- SEQ 0160 --*/
-- Tarefa 96855 --
ALTER TABLE TT_SLT ENABLE ALL TRIGGERS;

/*-- SEQ 0161 --*/
-- Tarefa 00000 --
DROP FUNCTION ProximoCodigoMigracao;


/*-- SEQ 0162 --*/
-- Tarefa 96963 --
ALTER TABLE TT_PXF ADD FRESIM Number(12,2) ;



/*-- SEQ 0163 --*/
-- Tarefa 94110 --
ALTER TABLE TT_DOP MODIFY (CODBAR VARCHAR2(48));


/*-- SEQ 0164 --*/
-- Tarefa 97004 --
ALTER TABLE TD_NAT ADD NATRED_ST VARCHAR2(6) ;


/*-- SEQ 0165 --*/
-- Tarefa 97004 --
ALTER TABLE TD_NAT ADD NATREF_ST VARCHAR2(6) ;


/*-- SEQ 0166 --*/
-- Tarefa 97004 --
ALTER TABLE TW_TAB ADD NATRED_ST VARCHAR2(6) ;


/*-- SEQ 0167 --*/
-- Tarefa 97004 --
ALTER TABLE TW_TAB ADD NATREF_ST VARCHAR2(6) ;



/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;


/*-- SEQ 0201 --*/
-- Tarefa 96957 --
ALTER TABLE TD_NAT ADD CSTNOR VARCHAR2(3) ;


/*-- SEQ 0202 --*/
-- Tarefa 96957 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_CSTNOR CHECK ((TRIBUT = 'F' AND CSTNOR IN ('40', '41', '50', '51', '90')) OR (TRIBUT = 'T' AND CSTNOR IN ('51', '90')) OR (CSTNOR IS NULL));

/*-- SEQ 0203 --*/
-- Tarefa 96957 --
ALTER TABLE TW_TAB ADD CSTNOR VARCHAR2(3) ;


/*-- SEQ 0204 --*/
-- Tarefa 96957 --
ALTER TABLE TD_NAT ADD CST_ST VARCHAR2(3) ;


/*-- SEQ 0205 --*/
-- Tarefa 96957 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_CST_ST CHECK ((TRIBUT = 'F' AND CST_ST IN ('40', '41', '50', '51', '90')) OR (TRIBUT = 'T' AND CST_ST IN ('51', '90')) OR (CST_ST IS NULL));

/*-- SEQ 0206 --*/
-- Tarefa 96957 --
ALTER TABLE TW_TAB ADD CST_ST VARCHAR2(3) ;



/*-- SEQ 0207 --*/
-- Tarefa 97038 --
ALTER TABLE TW_CLI MODIFY (NUMCEL VARCHAR2(10));









/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97014 --
ALTER TABLE TT_CCB ADD LOCPAG VARCHAR2(200) ;


/*-- SEQ 0209 --*/
-- Tarefa 97014 --
ALTER TABLE TT_CCB DISABLE ALL TRIGGERS;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD GERSGR VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0211 --*/
ALTER TABLE TT_CCB ENABLE ALL TRIGGERS;

/*-- SEQ 0212 --*/
-- Tarefa 97014 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0213 --*/
-- Tarefa 97014 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCPAG', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCPAG'));

/*-- SEQ 0214 --*/
-- Tarefa 97014 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'GERSGR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'GERSGR'));

/*-- SEQ 0215 --*/
-- Tarefa 97014 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;









/*-- SEQ 0216 --*/
-- Tarefa 97056 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,396)||'S'||SUBSTR(PERMIS,398,9999) WHERE NOT EXISTS(SELECT CODFIL FROM TD_FIL WHERE CGCFIL IN ('05409686000273','05409686000192'));

/*-- SEQ 0217 --*/
-- Tarefa 97056 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,396)||'N'||SUBSTR(PERMIS,398,9999) WHERE EXISTS(SELECT CODFIL FROM TD_FIL WHERE CGCFIL IN ('05409686000273','05409686000192'));


/*-- SEQ 0218 --*/
-- Tarefa 97083 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0219 --*/
ALTER TABLE TT_CFG ADD SEPMAIOR VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0220 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0221 --*/
-- Tarefa 97083 --
ALTER TABLE TT_CFG MODIFY (SEPMAIOR CONSTRAINT NN_CFG_SEPMAIOR NOT NULL);


/*-- SEQ 0222 --*/
-- Tarefa 97083 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEPMAIOR CHECK (SEPMAIOR IN ('F', 'T'));


/*-- SEQ 0223 --*/
-- Tarefa 96993 --
ALTER TABLE TT_SAD DISABLE ALL TRIGGERS;


/*-- SEQ 0224 --*/
-- Tarefa 96993 --
UPDATE TT_SAD
   SET SIGNAT = 1
 WHERE SIGNAT = 0;

/*-- SEQ 0225 --*/
-- Tarefa 96993 --
ALTER TABLE TT_SAD ENABLE ALL TRIGGERS;


/*-- SEQ 0226 --*/
-- Tarefa 97142 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,398)||'S'||SUBSTR(PERMIS,400,9999);


/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97252 --
DROP INDEX I_UQ_IBP_COD;


/*-- SEQ 0228 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;

/*-- SEQ 0229 --*/
ALTER TABLE TT_REC ADD AVISTA VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0230 --*/
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;

/*-- SEQ 0231 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC MODIFY (AVISTA CONSTRAINT NN_REC_AVISTA NOT NULL);


/*-- SEQ 0232 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC ADD CONSTRAINT CK_REC_AVISTA CHECK (AVISTA IN ('F', 'T'));

/*-- SEQ 0233 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;


/*-- SEQ 0234 --*/
-- Tarefa 97238 --
UPDATE TT_REC
   SET AVISTA = 'T'
 WHERE TRUNC(PAGAME) = TRUNC(DATINC) AND AVISTA <> 'T';

/*-- SEQ 0235 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;

/*-- SEQ 0236 --*/
-- Tarefa 97238 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0237 --*/
-- Tarefa 97238 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REC_AVISTA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REC_AVISTA'));

/*-- SEQ 0238 --*/
-- Tarefa 97238 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

