
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96805 --
ALTER TABLE TW_CLI MODIFY (E_MAIL VARCHAR2(254));


/*-- SEQ 0002 --*/
-- Tarefa 96891 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD DESIPITRA VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0004 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96891 --
ALTER TABLE TD_FIL MODIFY (DESIPITRA CONSTRAINT NN_DFIL_DESIPITRA NOT NULL);


/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96891 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DESIPITRA CHECK (DESIPITRA IN ('F', 'T'));


/*-- SEQ 0007 --*/
CREATE OR REPLACE FUNCTION ProximoCodigoMigracao (pTabela IN VARCHAR2 ,
                                    pFilial IN TD_FIL.CODFIL%TYPE )
RETURN VARCHAR2 IS
   nProximo                      Number;
BEGIN
   IF pTabela = 'TT_SLT' THEN SELECT SQSLT.NEXTVAL INTO nProximo FROM DUAL;
   END IF;
   IF nProximo IS NOT NULL THEN
       RETURN LPAD(RTRIM(TO_CHAR(nProximo)),10,' ');
   END IF;
END ProximoCodigoMigracao;
/

/*-- SEQ 0008 --*/
-- Tarefa 96855 --
ALTER TABLE TT_LOT DISABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- Tarefa 96855 --
ALTER TABLE TT_SLT DISABLE ALL TRIGGERS;


/*-- SEQ 0010 --*/
-- Tarefa 96855 --
INSERT INTO TT_SLT 
(CODFIL, SEQUEN, CODMUL, FILLOT, SEQLOT, QTDEST, RESERV, ATU_EM)
SELECT LOT.CODFIL,
       ProximoCodigoMigracao('TT_SLT', LOT.CODFIL),
       0,
       LOT.CODFIL,
       LOT.SEQUEN,
       0,
       0,
       Agora()
  FROM TT_LOT LOT
 WHERE LOT.QTDINI <> 0
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_SLT SLT
                    WHERE SLT.FILLOT = LOT.CODFIL
                      AND SLT.SEQLOT = LOT.SEQUEN
                      AND SLT.CODFIL = LOT.CODFIL
                      AND SLT.CODMUL = 0);

/*-- SEQ 0011 --*/
-- Tarefa 96855 --
UPDATE TT_SLT SLT
   SET QTDEST = SLT.QTDEST + (SELECT LOT.QTDINI
                                FROM TT_LOT LOT
                               WHERE LOT.CODFIL = SLT.FILLOT
                                 AND LOT.SEQUEN = SLT.SEQLOT)
 WHERE SLT.CODFIL = SLT.FILLOT
   AND SLT.CODMUL = 0
   AND (SLT.FILLOT, SLT.SEQLOT) IN (SELECT LOT.CODFIL, LOT.SEQUEN
                                      FROM TT_LOT LOT
                                     WHERE LOT.CODFIL = SLT.FILLOT
                                       AND LOT.SEQUEN = SLT.SEQLOT
                                       AND LOT.QTDINI <> 0);

/*-- SEQ 0012 --*/
-- Tarefa 96855 --
UPDATE TT_LOT
   SET QTDINI = 0
 WHERE QTDINI <> 0;

/*-- SEQ 0013 --*/
-- Tarefa 96855 --
UPDATE TT_LOT
   SET QTDEST = 0
 WHERE QTDEST <> 0;

/*-- SEQ 0014 --*/
-- Tarefa 96855 --
ALTER TABLE TT_LOT ENABLE ALL TRIGGERS;

/*-- SEQ 0015 --*/
-- Tarefa 96855 --
ALTER TABLE TT_SLT ENABLE ALL TRIGGERS;

/*-- SEQ 0016 --*/
-- Tarefa 00000 --
DROP FUNCTION ProximoCodigoMigracao;


/*-- SEQ 0017 --*/
-- Tarefa 93813 --
ALTER TABLE TT_MCF DISABLE ALL TRIGGERS;

/*-- SEQ 0018 --*/
ALTER TABLE TT_MCF ADD FLGEST CHAR(1) DEFAULT 'A';

/*-- SEQ 0019 --*/
ALTER TABLE TT_MCF ENABLE ALL TRIGGERS;

/*-- SEQ 0020 --*/
-- Tarefa 93813 --
ALTER TABLE TT_MCF ADD MSGLOG VARCHAR2(4000) ;


/*-- SEQ 0021 --*/
-- Tarefa 93813 --
ALTER TABLE TT_MCF MODIFY (FLGEST CONSTRAINT NN_MCF_FLGEST NOT NULL);


/*-- SEQ 0022 --*/
-- Tarefa 93813 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGEST CHECK (FLGEST IN ('A', 'C', 'I', 'P'));

/*-- SEQ 0023 --*/
-- Tarefa 93813 --
ALTER TABLE TT_ICF DISABLE ALL TRIGGERS;

/*-- SEQ 0024 --*/
ALTER TABLE TT_ICF ADD FLGEST CHAR(1) DEFAULT 'A';

/*-- SEQ 0025 --*/
ALTER TABLE TT_ICF ENABLE ALL TRIGGERS;

/*-- SEQ 0026 --*/
-- Tarefa 93813 --
ALTER TABLE TT_ICF ADD MSGLOG VARCHAR2(4000) ;


/*-- SEQ 0027 --*/
-- Tarefa 93813 --
ALTER TABLE TT_ICF MODIFY (FLGEST CONSTRAINT NN_ICF_FLGEST NOT NULL);


/*-- SEQ 0028 --*/
-- Tarefa 93813 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_FLGEST CHECK (FLGEST IN ('A', 'C', 'I', 'P'));

/*-- SEQ 0029 --*/
-- Tarefa 93813 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

 
/*-- SEQ 0030 --*/
-- Tarefa 93813 --
INSERT INTO TT_JOB (NOMJOB, DESJOB, ULTEXE, QTDERR, ULTERR)
SELECT 'JOB_FECHADIA', 'Rotina para atualizar Dados Fiscais do ECF.', Agora(), 0, NULL
  FROM DUAL
 WHERE NOT EXISTS (
       SELECT 1 AS OK
         FROM TT_JOB
        WHERE NOMJOB = 'JOB_FECHADIA'
       );
 
/*-- SEQ 0031 --*/
-- Tarefa 93813 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0032 --*/
-- Tarefa 96963 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD FRESIM Number(12,2) ;



/*-- SEQ 0033 --*/
-- Tarefa 94110 --
ALTER TABLE TT_DOP MODIFY (CODBAR VARCHAR2(48));









/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97014 --
ALTER TABLE TT_CCB ADD LOCPAG VARCHAR2(200) ;


/*-- SEQ 0035 --*/
-- Tarefa 97014 --
ALTER TABLE TT_CCB DISABLE ALL TRIGGERS;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD GERSGR VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0037 --*/
ALTER TABLE TT_CCB ENABLE ALL TRIGGERS;

/*-- SEQ 0038 --*/
-- Tarefa 97014 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0039 --*/
-- Tarefa 97014 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCPAG', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCPAG'));

/*-- SEQ 0040 --*/
-- Tarefa 97014 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'GERSGR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'GERSGR'));

/*-- SEQ 0041 --*/
-- Tarefa 97014 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;









/*-- SEQ 0042 --*/
-- Tarefa 96993 --
ALTER TABLE TT_SAD DISABLE ALL TRIGGERS;


/*-- SEQ 0043 --*/
-- Tarefa 96993 --
UPDATE TT_SAD
   SET SIGNAT = 1
 WHERE SIGNAT = 0;

/*-- SEQ 0044 --*/
-- Tarefa 96993 --
ALTER TABLE TT_SAD ENABLE ALL TRIGGERS;


/*-- SEQ 0045 --*/
-- Tarefa 96977 --
CREATE TABLE TT_CRB (
  CODTAB Number(5),
  CODBCO CHAR(3),
  APECRB VARCHAR2(20),
  DESCRB VARCHAR2(80)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0046 --*/ 
-- Tarefa 96977 --
ALTER TABLE TT_CRB ADD CONSTRAINT PK_CRB PRIMARY KEY (CODTAB);

/*-- SEQ 0047 --*/
-- Tarefa 96977 --
ALTER TABLE TT_CRB MODIFY (CODBCO CONSTRAINT NN_CRB_CODBCO NOT NULL);


/*-- SEQ 0048 --*/
-- Tarefa 96977 --
ALTER TABLE TT_CRB MODIFY (APECRB CONSTRAINT NN_CRB_APECRB NOT NULL);


/*-- SEQ 0049 --*/
-- Tarefa 96977 --
ALTER TABLE TT_CRB MODIFY (DESCRB CONSTRAINT NN_CRB_DESCRB NOT NULL);


/*-- SEQ 0050 --*/
-- Tarefa 96977 --
CREATE UNIQUE INDEX I_UQ_CRB ON TT_CRB (CODBCO, APECRB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0051 --*/
-- Tarefa 96977 --
CREATE SEQUENCE SQCRB INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0052 --*/
-- Tarefa 96977 --
/*-- SEQ 0053 --*/
CREATE OR REPLACE FUNCTION ProximoCodigoMigracao (pTabela IN VARCHAR2 )
RETURN Number IS
   nProximo                      Number;
BEGIN
   IF pTabela = 'TT_CRB' THEN SELECT SQCRB.NEXTVAL INTO nProximo FROM DUAL;
   END IF;
   IF nProximo IS NOT NULL THEN
       RETURN nProximo;
   END IF;
END ProximoCodigoMigracao;
/

/*-- SEQ 0054 --*/
-- Tarefa 96977 --
ALTER TABLE TT_CRB DISABLE ALL TRIGGERS;


/*-- SEQ 0055 --*/
-- Tarefa 96977 --
INSERT INTO TT_CRB 
(CODTAB, CODBCO, APECRB, DESCRB)
(
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '11', '11 - Cobrana Simples - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '11-4', '11-4 - Cobrana Simples - C/Registro Convnio 4 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '12', '12 - Cobrana Indexada - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '12-4', '12-4 - Cobrana Indexada - C/Registro Convnio 4 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '12-7', '12-7 - Cobrana Indexada - C/Registro Convnio 7 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '15', '15 - Cobrana de Prmios de Seguro - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '15-4', '15-4 - Cob.Prmios Seguro - C/Registro Convnio 4 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '16', '16 - Cobranca Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '16-17', '16-17 - Cobranca Simples - Nosso Nmero 17 Dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '16-4', '16-4 - Cobranca Simples - Convnio 4 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '17', '17 - Cobranca Direta Especial - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '17-4', '17-4 - Cob. Direta Esp. - C/Registro Convnio 4 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '17-7', '17-7 - Cob. Direta Esp. - C/Registro Convnio 7 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '18', '18 - Cobranca Simples - Nosso Nmero 11 Dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '18-17', '18-17 - Cobranca Simples - Nosso Nmero 17 Dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '18-4', '18-4 - Cobranca Simples - Convnio 4 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '18-7', '18-7 - Cobranca Simples - Convnio 7 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '31', '31 - Cobrana Caucionada/Vinculada - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '31-4', '31-4 - Cob.Cauc./Vinc. - C/Registro Convnio 4 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '51', '51 - Cobrana Descontada - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '001', '51-4', '51-4 - Cob. Descontada - C/Registro Convnio 4 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '04', '04 - Cobrana Descontada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '41', '41 - Cobrana Simples - emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '45B', '45B - Cobrana Vinculada - emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '45C', '45C - Cobrana Vinculada - emisso Cliente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '46B', '46B - Cobrana Caucionada - emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '46C', '46C - Cobrana Caucionada - emisso Cliente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '47', '47 - Cobrana Simples Escritural - emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '48', '48 - CS - Moedas (Cob. Escritural) - emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '49', '49 - Cobrana Simples Correspondentes'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '50', '50 - Cobrana Simples - emisso Cliente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '51', '51 - Cobrana Simplificada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '52', '52 - Cobrana Simples Empresarial - emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '53', '53 - Cobrana Simples Aplice'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '54', '54 - Cobrana Simples Aplice Moedas'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '55', '55 - Cobrana Simplificada Numerada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '57', '57 - Cobrana Simplificada Especial'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '58', '58 - Cobrana Simples Empresarial - emisso Cliente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '59', '59 - Cobrana Simplificada Aplice'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '61', '61 - Regularizao de Ttulo sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '63', '63 - Custdia de Cheques'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '95', '95 - Ex. Cobrana Caucionada/Vinculada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '004', '97', '97 - CS - Ex / TD'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '008', 'CC', 'CC - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '008', 'CD', 'CD - Cobrana Descontada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '008', 'CSR', 'CSR - Cobrana Simples Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '008', 'ECR', 'ECR - Cobrana Simples Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '021', '2', '2 - Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '021', '3', '3 - Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '021', '4', '4 - Cobrana com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '021', '5', '5 - Cobrana com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '021', '6', '6 - Cobrana com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '021', '7', '7 - Cobrana com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '027', 'CDA1', 'CDA1 - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '027', 'CDA3', 'CDA3 - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '027', 'CDA4', 'CDA4 - Cobrana Vinculada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '027', 'CDI', 'CDI - Cobrana Direta'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '033', 'CAUCI', 'CAUCI - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '033', 'COB', 'COB - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '033', 'ESP', 'ESP - Cobrana Especial'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', '1', '1 - Cobrana Simples (8050.76)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', '3', '3 - Cobrana Caucionada (8150.55)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', '4', '4 - Cobrana em IGPM (8450.94)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', '5', '5 - Cobrana Caucionada CGB Especial (8355.01)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', '7', '7 - Cobrana em UFIR (8257.86)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', '8', '8 - Cobrana em IDTR (8356.84)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', '9', '9 - Cobrana em CUB (8057.26)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'A', 'A - Cobrana em Mdulos de Dlar (8254.68)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'C', 'C - Cobrana Vinculada (8250.34)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'D', 'D - Cobrana CSB (8258.67)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'E', 'E - Cobrana Caucionada - Cmbio (8156.24)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'F', 'F - Cobrana Vndor (8152.17)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'H', 'H - Cobrana Caucionada Dlar Cmbio (8157.05)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'P', 'P - CDCI Eletrnico - PF (6033.68)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'Q', 'Q - CDCI Eletrnico - PJ (6034.30)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '041', 'S', 'S - Vndor Eletrnico (6032.79)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '070', '1', '1 - Cobrana sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '070', '2', '2 - Cobrana com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '074', '02', '02 - Emisso Banco Corresp. Bradesco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '074', '09', '09 - Carteira 07 Emisso Cedente Corresp. Bradesco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '074', '109', '109 - Emisso Cedente Corresp. Ita'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '074', '212', '212 - Emisso Banco Corresp. Ita'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '085', '1', '1 - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '087', '06', '06 - Cobrana sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '087', '21', '21 - Cobrana Interna Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '087', '22', '22 - Cobrana Interna sem registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'CR', 'CR - Cobrana Rpida'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'CS', 'CS - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SAD', 'SAD - Cobrana SAD'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SI', 'SI - Cobrana Simplificada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SIG11', 'SIG11 - SIG Com Registro - Emisso pelo Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SIG14', 'SIG14 - SIG Com Registro - Emisso pelo Cedente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SIG21', 'SIG21 - SIG Sem Registro - Emisso pelo Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SIG24', 'SIG24 - SIG Sem Registro - Emisso pelo Cedente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SR', 'SR - Cobrana Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SR-14', 'SR-14 - Cobrana Sem Registro Nosso Nmero 14 Dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '104', 'SR5', 'SR5 - SINCO - Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '151', 'CDIR', 'CDIR - Cobrana Direta'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '151', 'CIDENT', 'CIDENT - Cobrana Identificada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '02', '02 - Carteira 02'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '03', '03 - Carteira 03'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '04', '04 - Pr-Impressos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '05', '05 - Recebimento Programado Bradesco - RPB'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '06', '06 - Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '07', '07 - Carteira 07'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '09', '09 - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '12', '12 - Carteira 12'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '16', '16 - Sem Registro com Protesto'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '17', '17 - Carteira 17'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '19', '19 - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '237', '22', '22 - Sem Registro - Pagvel somente no Bradesco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '275', '20', '20 - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '275', '20E', '20E - Cobrana Simples - Escritural'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '275', '42', '42 - Cobrana Caucionada - Banco autoriza impresso'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '275', '42E', '42E - Cobrana Caucionada - Escritural'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '275', '57', '57 - Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '291', '1-7', '1-7 - Cobrana Direta c/ Emisso pelo Cliente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '291', 'C. CAUCI', 'C. CAUCI - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '291', 'C. SIMPL', 'C. SIMPL - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '102', '102 - Sem Registro Com Emisso Integral - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '103', '103 - Sem Registro Com Emisso/Entrega - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '104', '104 - Escritural Eletrnica - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '105', '105 - Escritural Eletrnica - Dlar - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '106', '106 - S/Registro C/Emisso/Entrega-15 dgitos-Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '107', '107 - S/Registro C/Emisso Integral-15 Posies-Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '108', '108 - Direta Eletrnica Emisso Integral - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '109', '109 - Direta Eletrnica Sem Emisso - Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '110', '110 - Direta Eletrnica Sem Emisso - Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '111', '111 - Direta Eletrnica Sem Emisso - Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '112', '112 - Escritural Eletrnica - simples / contratual'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '113', '113 - Escritural Eletrnica - TR - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '114', '114 - Escritural Eletrnica - Seguros'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '115', '115 - Carteira 115'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '120', '120 - S/Registro Emisso Integral C/IOF 2% - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '121', '121 - Direta Eletrnica Emisso Parcial - Simples/Contra'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '122', '122 - S/Registro S/Emisso 15 Dgitos C/IOF 2%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '126', '126 - Direta Eletrnica Sem Emisso - Seguros'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '129', '129 - S/Registro Emisso Parcial Seguros C/IOF 2%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '131', '131 - Direta Eletrnica c/ Valor em Aberto'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '139', '139 - S/Registro Emisso Parcial Seguros C/IOF 4%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '140', '140 - S/Registro Emisso Integral C/IOF 4% - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '141', '141 - S/Registro Emisso Integral C/IOF 7% - Carn'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '142', '142 - S/Registro S/Emisso 15 DGITOS C/IOF 4%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '143', '143 - S/Registro S/Emisso 15 DGITOS C/IOF 7%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '146', '146 - Descrio No Disponvel'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '147', '147 - Escritural Eletrnica - Dlar'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '150', '150 - Direta Eletrnica Sem Emisso - Dlar'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '166', '166 - Escritural Eletrnica - TR'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '168', '168 - Direta Eletrnica Sem Emisso - TR'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '169', '169 - S/Registro Emisso Parcial Seguros C/IOF 7%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '172', '172 - Sem Registro Com Emisso Integral'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '173', '173 - Sem Registro Com Emisso/Entrega'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '174', '174 - Sem Registro Emisso Parcial Com Protesto Border'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '341', '175', '175 - Sem Registro Sem Emisso'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', '20', '20 - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', '20E', '20E - Cobrana Simples - Escritural'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', '42', '42 - Cobrana Caucionada - Banco autoriza impresso'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', '42E', '42E - Cobrana Caucionada - Escritural'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', '57', '57 - Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'CAUCIONADAEB', 'CaucionadaEB - Cobrana Caucionada - Emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'CAUCIONADAEC', 'CaucionadaEC - Cobrana Caucionada - Emisso Cedente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'EXPRESS', 'EXPRESS - Cobrana Express'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'NOTASSEGURO', 'NotasSeguro - Cobrana de Notas de Seguro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'RAPIDA40', 'Rapida40 - Cobrana Rpida Sem Registro Seguradoras - IOF 0%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'RAPIDA41', 'Rapida41 - Cobrana Rpida Sem Registro Seguradoras - IOF 0%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'RAPIDA42', 'Rapida42 - Cobrana Rpida Sem Registro Seguradoras - IOF 2%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'RAPIDA43', 'Rapida43 - Cobrana Rpida Sem Registro Seguradoras - IOF 2%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'RAPIDA44', 'Rapida44 - Cobrana Rpida Sem Registro Seguradoras - IOF 4%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'RAPIDA45', 'Rapida45 - Cobrana Rpida Sem Registro Seguradoras - IOF 4%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'RAPIDA46', 'Rapida46 - Cobrana Rpida Sem Registro Seguradoras - IOF 4%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'RAPIDA47', 'Rapida47 - Cobrana Rpida Sem Registro Seguradoras - IOF 7%'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'SIMPLESCREB', 'SimplesCREB - Cobrana Simples Com Registro - Emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'SIMPLESCREC', 'SimplesCREC - Cobrana Simples Com Registro - Emisso Cedente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '347', 'SIMPLESSR', 'SimplesSR - Cobrana Simples Sem Registro - Emisso Cedente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '353', 'CC', 'CC - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '353', 'CD', 'CD - Cobrana Descontada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '353', 'CSR', 'CSR - Cobrana Simples Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '353', 'ECR', 'ECR - Cobrana Simples Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '353', 'ECR2', 'ECR2 - Cobrana Simples Com Registro - Emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '356', '00', '00 - Carteira do convnio'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '356', '20', '20 - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '356', '31', '31 - Cobrana Cmbio'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '356', '42', '42 - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '356', '47', '47 - Cobr. Caucionada Crdito Imobilirio'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '356', '85', '85 - Cobrana Partilhada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '389', '01', '01 - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '389', '02', '02 - Vinculada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '389', '03', '03 - Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '389', '05', '05 - Desconto Escritural'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '389', '06', '06 - Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '389', '08', '08 - Seguros'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '392', '19', '19 - Impresso pelo Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '392', '27', '27 - Simples - Mesma Praa'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '392', '35', '35 - Simples - Interior'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '392', '43', '43 - Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '394', '109', '109 - Banco Correspondente Ita'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '399', 'CNR', 'CNR - Sem Registro - Nosso Nmero de 13 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '399', 'CNR-FACIL', 'CNR-FACIL - Sem Registro - Nosso Nmero de 6 dgitos'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '399', 'CSB', 'CSB - Cobrana Diretiva - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '399', 'CSBE', 'CSBE - Cobrana Diretiva Escritural - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'CARNET', 'Carnet - Cobrana Carnet'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'CAUO', 'Cauo - Unicobrana Cauo'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'DESCONTO', 'Desconto - Cobrana Descontada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'DIRETA', 'Direta - Unicobrana Direta'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'ESCRITURAL', 'Escritural - Unicobrana Escritural'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'ESPECIAL', 'Especial - Cobrana Especial'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'SEGURO', 'Seguro - Cobrana Seguros'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'SIMPLES', 'Simples - Unicobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'VENDOR', 'Vendor - Cobrana Vendor'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '409', 'VINCULADA', 'Vinculada - Cobrana Vinculada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '01', '01 - Cobrana Simples'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '02', '02 - Cobrana Vinculada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '03', '03 - Cobrana Descontada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '04', '04 - Cobrana de Seguros'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '050', '050 - Cobrana Sem Registro - Impresso pelo Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '06', '06 - Cobrana Express'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '060', '060 - Cobrana Sem Registro - Impresso pelo Cedente'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '09', '09 - Correspondente Bradesco - Carteira 09'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '16', '16 - Correspondente Bradesco - Carteira 16'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '422', '179', '179 - Banco Correspondente Ita'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '424', 'CC', 'CC - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '424', 'CD', 'CD - Cobrana Descontada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '424', 'CSR', 'CSR - Cobrana Simples Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '424', 'ECR', 'ECR - Cobrana Simples Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '424', 'ECR2', 'ECR2 - Cobrana Simples Com Registro - Emisso Banco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', '14', '14 - Cobrana Internet Registrada (Via Site)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', '27', '27 - Cobrana Internet Sem Registro (E-Mail)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', '3', '3 - Cobrana Escritural'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', '36', '36 - Cobrana Internet Registrada (E-Mail)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', '36-5', '36-5 - Cobrana Internet Registrada Hbrida (E-Mail)'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', '4', '4 - Cobrana Cauo'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', '8', '8 - Cobrana Desconto'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', 'DIR', 'DIR - Cobrana Direta'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', 'RAPIDA', 'RAPIDA - Cobrana Rpida com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '479', 'SREG', 'SREG - Cobrana Rpida Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '643', '19', '19 - Banco Correspondente Bradesco'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '637', '09', '09 - Correspondente Bradesco - Carteira 09'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '637', '109', '109 - Emisso Cedente Corresp. Ita'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '637', '121', '121 - Cobrana Expressa'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '637', '19', '19 - Correspondente Bradesco - Carteira 19'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '637', '3', '3 - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '637', 'CSB', 'CSB - Correspondente HSBC'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '719', '09', '09 - Correspondente Bradesco - Carteira 09'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '745', '0', '0 - Normal'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '745', '1', '1 - Direta'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '745', '2', '2 - OCI'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '745', '3', '3 - Cobrana com registro/sem registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '745', '4', '4 - Cobrana de seguro - sem registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '748', 'A', 'A - Simples - Cobrana com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '748', 'C', 'C - Simples - Cobrana sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'C-SR', 'C-SR - Cobrana Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'CC', 'CC - Cobrana Caucionada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'CS', 'CS - Cobrana Simples - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'CS-46', 'CS-46 - Cobrana Direta'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'CS-SR', 'CS-SR - Cobrana Simples - Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'CSSJ', 'CSSJ - Cobrana Simples Especial - Com Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'CSSJ-SR', 'CSSJ-SR - Cobrana Simples Especial - Sem Registro'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'CV', 'CV - Cobrana Vinculada'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '749', 'CVCA', 'CVCA - Cobrana Vinculada Cmbio'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '3009', '3009 - COOPESMA'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '3061', '3061 - CREDIGOIAS-CREDIFORTE'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '3074', '3074 - SICOOB/SC-CREDISULCA'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '3269', '3269 - BLUCREDI'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '3271', '3271 - CREDIP'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '3301', '3301 - CREDINOSP'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '3319', '3319 - CREDLIDER'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4027', '4027 - CREDICOM'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4032', '4032 - ITACRED'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4071', '4071 - ACCREDI'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4134', '4134 - CREDIMONTES'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4210', '4210 - ALTACREDI'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4226', '4226 - CREDICORES'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4264', '4264 - ARACOOP'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4329', '4329 - COOPSUL'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4340', '4340 - SICOOB Maring - Metropolitano'
  FROM DUAL
UNION ALL
SELECT ProximoCodigoMigracao('TT_CRB'), '756', '4361', '4361 - SICOOB Paranava'
  FROM DUAL
);

/*-- SEQ 0056 --*/
-- Tarefa 96977 --
ALTER TABLE TT_CRB ENABLE ALL TRIGGERS;
       
/*-- SEQ 0057 --*/
-- Tarefa 96977 --
DROP FUNCTION ProximoCodigoMigracao;


/*-- SEQ 0058 --*/
-- Tarefa 96978 --
ALTER TABLE TT_CCB ADD CODCRB Number(5) ;


/*-- SEQ 0059 --*/
-- Tarefa 96978 --
ALTER TABLE TT_CCB ADD CONSTRAINT FK_CCB_CRB FOREIGN KEY (CODCRB) REFERENCES TT_CRB (CODTAB);

/*-- SEQ 0060 --*/
-- Tarefa 96978 --
CREATE INDEX I_FK_CCB_CRB ON TT_CCB (CODCRB) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0061 --*/
-- Tarefa 97135 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,397)||'S'||SUBSTR(PERMIS,399,9999);


/*-- SEQ 0062 --*/
-- Tarefa 97149 --
CREATE TABLE TT_TSF (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  TABELA VARCHAR2(12),
  CODTAB Number(5),
  PERSUB Number(5,2)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0063 --*/ 
-- Tarefa 97149 --
ALTER TABLE TT_TSF ADD CONSTRAINT PK_TSF PRIMARY KEY (CODFIL, SEQUEN);
 
/*-- SEQ 0064 --*/
-- Tarefa 97149 --
ALTER TABLE TT_TSF MODIFY (TABELA CONSTRAINT NN_TSF_TABELA NOT NULL);


/*-- SEQ 0065 --*/
-- Tarefa 97149 --
ALTER TABLE TT_TSF MODIFY (CODTAB CONSTRAINT NN_TSF_CODTAB NOT NULL);


/*-- SEQ 0066 --*/
-- Tarefa 97149 --
ALTER TABLE TT_TSF MODIFY (PERSUB CONSTRAINT NN_TSF_PERSUB NOT NULL);


/*-- SEQ 0067 --*/
-- Tarefa 97149 --
ALTER TABLE TT_TSF MODIFY (DATINC CONSTRAINT NN_TSF_DATINC NOT NULL);


/*-- SEQ 0068 --*/
-- Tarefa 97149 --
ALTER TABLE TT_TSF MODIFY (ATU_EM CONSTRAINT NN_TSF_ATU_EM NOT NULL);

 
/*-- SEQ 0069 --*/
-- Tarefa 97149 --
ALTER TABLE TT_TSF ADD CONSTRAINT FK_TSF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0070 --*/
-- Tarefa 97149 --
CREATE INDEX I_FK_TSF_DFIL ON TT_TSF (CODFIL) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0071 --*/
-- Tarefa 97149 --
ALTER TABLE TT_TSF ADD CONSTRAINT CK_TSF_PERSUB CHECK (PERSUB >= 0);

/*-- SEQ 0072 --*/
-- Tarefa 97149 --
ALTER TABLE TT_TSF ADD CONSTRAINT CK_TSF_TABELA CHECK (TABELA IN ('TD_CT1', 'TD_CT2', 'TD_CT3', 'TD_DEP', 'TD_CL1', 'TD_CL2', 'TD_CL3', 'TD_CL4'));
 
/*-- SEQ 0073 --*/
-- Tarefa 97149 --
CREATE UNIQUE INDEX I_UQ_TSF ON TT_TSF (CODFIL, TABELA, CODTAB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0074 --*/
-- Tarefa 97149 --
CREATE SEQUENCE SQTSF INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0075 --*/
-- Tarefa 97151 --
ALTER TABLE TT_IOR ADD SUBTSF Number(5,2) ;





/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96982 --
SELECT * FROM NADA; 




/*-- SEQ 0077 --*/
-- Tarefa 97203 --
ALTER TABLE TT_ICO ADD PERCRESN Number(7,4) ;


/*-- SEQ 0078 --*/
-- Tarefa 97203 --
ALTER TABLE TT_ICO ADD VLRCRESN Number(14,2) ;



/*-- SEQ 0079 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ADD AVISTA VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0081 --*/
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC MODIFY (AVISTA CONSTRAINT NN_REC_AVISTA NOT NULL);


/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC ADD CONSTRAINT CK_REC_AVISTA CHECK (AVISTA IN ('F', 'T'));

/*-- SEQ 0084 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;


/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97238 --
UPDATE TT_REC
   SET AVISTA = 'T'
 WHERE TRUNC(PAGAME) = TRUNC(DATINC) AND AVISTA <> 'T';

/*-- SEQ 0086 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;

/*-- SEQ 0087 --*/
-- Tarefa 97238 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97238 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REC_AVISTA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REC_AVISTA'));

/*-- SEQ 0089 --*/
-- Tarefa 97238 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0090 --*/
-- Tarefa 97115 --
ALTER TABLE TT_CLI ADD FIL_CK CHAR(3) ;


/*-- SEQ 0091 --*/
-- Tarefa 97115 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DFIL FOREIGN KEY (FIL_CK) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0092 --*/
-- Tarefa 97115 --
CREATE INDEX I_FK_CLI_DFIL ON TT_CLI (FIL_CK) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0093 --*/
-- Tarefa 97115 --
ALTER TABLE TT_CLI ADD ECF_CK CHAR(3) ;


/*-- SEQ 0094 --*/
-- Tarefa 97115 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DECF FOREIGN KEY (FIL_CK, ECF_CK) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0095 --*/
-- Tarefa 97115 --
CREATE INDEX I_FK_CLI_DECF ON TT_CLI (FIL_CK, ECF_CK) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0096 --*/
-- Tarefa 97115 --
ALTER TABLE TT_CLI ADD COD_CK Number(10) ;


/*-- SEQ 0097 --*/
-- Tarefa 97115 --
CREATE UNIQUE INDEX I_UQ_CLI_CK ON TT_CLI (FIL_CK, ECF_CK, COD_CK) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0098 --*/
-- Tarefa 97123 --
ALTER TABLE TT_END ADD FIL_CK CHAR(3) ;


/*-- SEQ 0099 --*/
-- Tarefa 97123 --
ALTER TABLE TT_END ADD CONSTRAINT FK_END_DFIL_CK FOREIGN KEY (FIL_CK) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0100 --*/
-- Tarefa 97123 --
CREATE INDEX I_FK_END_DFIL_CK ON TT_END (FIL_CK) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0101 --*/
-- Tarefa 97123 --
ALTER TABLE TT_END ADD ECF_CK CHAR(3) ;


/*-- SEQ 0102 --*/
-- Tarefa 97123 --
ALTER TABLE TT_END ADD CONSTRAINT FK_END_DECF FOREIGN KEY (FIL_CK, ECF_CK) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0103 --*/
-- Tarefa 97123 --
CREATE INDEX I_FK_END_DECF ON TT_END (FIL_CK, ECF_CK) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0104 --*/
-- Tarefa 97123 --
ALTER TABLE TT_END ADD COD_CK Number(10) ;


/*-- SEQ 0105 --*/
-- Tarefa 97123 --
CREATE UNIQUE INDEX I_UQ_END_CK ON TT_END (FIL_CK, ECF_CK, COD_CK) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0106 --*/
-- Tarefa 97144 --
ALTER TABLE TW_CLI ADD FIL_CK_CLI CHAR(3) ;


/*-- SEQ 0107 --*/
-- Tarefa 97144 --
ALTER TABLE TW_CLI ADD ECF_CK_CLI CHAR(3) ;


/*-- SEQ 0108 --*/
-- Tarefa 97144 --
ALTER TABLE TW_CLI ADD COD_CK_CLI Number(10) ;


/*-- SEQ 0109 --*/
-- Tarefa 97144 --
ALTER TABLE TW_CLI ADD FIL_CK_END CHAR(3) ;


/*-- SEQ 0110 --*/
-- Tarefa 97144 --
ALTER TABLE TW_CLI ADD ECF_CK_END CHAR(3) ;


/*-- SEQ 0111 --*/
-- Tarefa 97144 --
ALTER TABLE TW_CLI ADD COD_CK_END Number(10) ;


/*-- SEQ 0112 --*/
-- Tarefa 97144 --
ALTER TABLE TW_CLI DROP CONSTRAINT NN_WCLI_NUMDOC;



/*-- SEQ 0113 --*/
-- Tarefa 97299 --
CREATE TABLE TT_DSP (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  FILPRE CHAR(3),
  CODPRE Number(5),
  TABELA VARCHAR2(12),
  CODTAB Number(5),
  PERFIX Number(5,2),
  PERVAR Number(5,2)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0114 --*/ 
-- Tarefa 97299 --
ALTER TABLE TT_DSP ADD CONSTRAINT PK_DSP PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0115 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP MODIFY (DATINC CONSTRAINT NN_DSP_DATINC NOT NULL);


/*-- SEQ 0116 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP MODIFY (ATU_EM CONSTRAINT NN_DSP_ATU_EM NOT NULL);


/*-- SEQ 0117 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP MODIFY (FILPRE CONSTRAINT NN_DSP_FILPRE NOT NULL);


/*-- SEQ 0118 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP MODIFY (CODPRE CONSTRAINT NN_DSP_CODPRE NOT NULL);


/*-- SEQ 0119 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP MODIFY (TABELA CONSTRAINT NN_DSP_TABELA NOT NULL);


/*-- SEQ 0120 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP MODIFY (CODTAB CONSTRAINT NN_DSP_CODTAB NOT NULL);


/*-- SEQ 0121 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP MODIFY (PERFIX CONSTRAINT NN_DSP_PERFIX NOT NULL);


/*-- SEQ 0122 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP MODIFY (PERVAR CONSTRAINT NN_DSP_PERVAR NOT NULL);


/*-- SEQ 0123 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP ADD CONSTRAINT FK_DSP_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0124 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP ADD CONSTRAINT FK_DSP_TPR FOREIGN KEY (FILPRE,CODPRE) REFERENCES TT_TPR (CODFIL,CODPRE);

/*-- SEQ 0125 --*/
-- Tarefa 97299 --
CREATE INDEX I_FK_DSP_DFIL ON TT_DSP (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0126 --*/
-- Tarefa 97299 --
CREATE INDEX I_FK_DSP_TPR ON TT_DSP (FILPRE,CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0127 --*/
-- Tarefa 97299 --
CREATE INDEX I_LC_DSP_TABELA_CODTAB ON TT_DSP (TABELA,CODTAB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0128 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP ADD CONSTRAINT CK_DSP_PERFIX CHECK (PERFIX >= 0);

/*-- SEQ 0129 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP ADD CONSTRAINT CK_DSP_PERVAR CHECK (PERVAR >= 0);

/*-- SEQ 0130 --*/
-- Tarefa 97299 --
ALTER TABLE TT_DSP ADD CONSTRAINT CK_DSP_TABELA CHECK (TABELA IN ('TD_DEP','TD_CL1','TD_CL2','TD_CL3','TD_CL4'));

/*-- SEQ 0131 --*/
-- Tarefa 97299 --
CREATE UNIQUE INDEX I_UQ_DSP ON TT_DSP (FILPRE,CODPRE,TABELA,CODTAB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0132 --*/
-- Tarefa 97299 --
CREATE SEQUENCE SQDSP INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0133 --*/
-- Tarefa 97309 --
ALTER TABLE TT_CFG ADD FILMAT_RAT CHAR(3) ;


/*-- SEQ 0134 --*/
-- Tarefa 97309 --
ALTER TABLE TT_CFG ADD CODMAT_RAT CHAR(5) ;


/*-- SEQ 0135 --*/
-- Tarefa 97309 --
ALTER TABLE TT_CFG ADD CODCOR_RAT Number(5) ;


/*-- SEQ 0136 --*/
-- Tarefa 97309 --
ALTER TABLE TT_CFG ADD CODTAM_RAT Number(5) ;


/*-- SEQ 0137 --*/
-- Tarefa 97309 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_GRA_RAT FOREIGN KEY (FILMAT_RAT,CODMAT_RAT,CODCOR_RAT,CODTAM_RAT) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0138 --*/
-- Tarefa 97309 --
ALTER TABLE TW_CFG ADD FILMAT_RAT CHAR(3) ;


/*-- SEQ 0139 --*/
-- Tarefa 97309 --
ALTER TABLE TW_CFG ADD CODMAT_RAT CHAR(5) ;


/*-- SEQ 0140 --*/
-- Tarefa 97309 --
ALTER TABLE TW_CFG ADD CODCOR_RAT Number(5) ;


/*-- SEQ 0141 --*/
-- Tarefa 97309 --
ALTER TABLE TW_CFG ADD CODTAM_RAT Number(5) ;



/*-- SEQ 0142 --*/
-- Tarefa 97282 --
ALTER TABLE TT_PRE MODIFY (PERLUC Number(7,4));

/*-- SEQ 0143 --*/
-- Tarefa 97282 --
ALTER TABLE TT_PRE MODIFY (MARKUP Number(14,4));

/*-- SEQ 0144 --*/
-- Tarefa 97282 --
ALTER TABLE TT_PRE MODIFY (CODMOE Number(5));

/*-- SEQ 0145 --*/
-- Tarefa 97282 --
ALTER TABLE TW_PRE MODIFY (CODMOE Number(5));

/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97282 --
ALTER TABLE TT_PRE DROP CONSTRAINT FK_PRE_DMOE_CODMOE;

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97282 --
DROP INDEX I_FK_PRE_DMOE_CODMOE;

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97282 --
DROP INDEX QUICK_TT_PRE;

/*-- SEQ 0149 --*/
-- Tarefa 97282 --
ALTER TABLE TT_PRE ADD CONSTRAINT FK_PRE_DMOE FOREIGN KEY (CODMOE) REFERENCES TD_MOE (CODTAB);

/*-- SEQ 0150 --*/
-- Tarefa 97282 --
CREATE INDEX I_FK_PRE_DMOE ON TT_PRE (CODMOE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0151 --*/
-- Tarefa 97282 --
ALTER TABLE TW_PRE ADD CONSTRAINT FK_WPRE_DMOE FOREIGN KEY (CODMOE) REFERENCES TD_MOE (CODTAB);

/*-- SEQ 0152 --*/
-- Tarefa 97282 --
CREATE INDEX I_FK_WPRE_DMOE ON TW_PRE (CODMOE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0153 --*/
-- Tarefa 97282 --
ALTER TABLE TT_GRA MODIFY (MARKUP Number(14,4));


/*-- SEQ 0154 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF ADD DATCUS_VEN Date ;


/*-- SEQ 0155 --*/
-- Tarefa 97499 --
ALTER TABLE TT_IDF DISABLE ALL TRIGGERS;


/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97499 --
UPDATE TT_IDF SET DATCUS_VEN = TRUNC(Agora());

/*-- SEQ 0157 --*/
-- Tarefa 97499 --
ALTER TABLE TT_IDF ENABLE ALL TRIGGERS;

/*-- SEQ 0158 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD CUSREP_FREFIS Number(14,4) ;


/*-- SEQ 0159 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD CUSMED_FIS Number(14,4) ;


/*-- SEQ 0160 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD CUSSIM Number(14,4) ;


/*-- SEQ 0161 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD INF_CUSREP_FREFIS Number(14,4) ;


/*-- SEQ 0162 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD INF_CUSMED_FIS Number(14,4) ;


/*-- SEQ 0163 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD INF_CUSSIM Number(14,4) ;


/*-- SEQ 0164 --*/
-- Tarefa 97499 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

 
/*-- SEQ 0165 --*/
-- Tarefa 97499 --
INSERT INTO TT_JOB (NOMJOB, DESJOB, ULTEXE, QTDERR, ULTERR)
SELECT 'JOB_MATERIALIZACUSTOVENDA', 'Rotina para calcular o Custo dos produtos vendidos', Agora(), 0, NULL
  FROM DUAL
 WHERE NOT EXISTS (
       SELECT 1 AS OK
         FROM TT_JOB
        WHERE NOMJOB = 'JOB_MATERIALIZACUSTOVENDA'
       );
 
/*-- SEQ 0166 --*/
-- Tarefa 97499 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0167 --*/
-- Tarefa 97309 --
CREATE INDEX I_FK_CFG_GRA_RAT ON TT_CFG (FILMAT_RAT,CODMAT_RAT,CODCOR_RAT,CODTAM_RAT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0168 --*/
-- Tarefa 96982 --
ALTER TABLE TT_CCB DISABLE ALL TRIGGERS;


/*-- SEQ 0169 --*/
-- Tarefa 96982 --
UPDATE TT_CCB CCB SET CODCRB = (SELECT CRB.CODTAB FROM TT_CRB CRB WHERE CRB.APECRB = 'SIG14' AND CRB.CODBCO = '104' )
 WHERE CCB.CARBCO = 14
   AND CCB.CODBCO = '104'
   AND EXISTS (SELECT 1 AS OK
                 FROM TT_FUN
                WHERE NOMFUN = 'SIGCB'); 

/*-- SEQ 0170 --*/
-- Tarefa 96982 --
ALTER TABLE TT_CCB ENABLE ALL TRIGGERS;


/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97434 --
ALTER TABLE TT_NFE DROP CONSTRAINT NN_NFE_DS_UFDEST;



/*-- SEQ 0172 --*/
-- Tarefa 97684 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0173 --*/
ALTER TABLE TT_CFG ADD PREZER VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0174 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0175 --*/
-- Tarefa 97684 --
ALTER TABLE TT_CFG MODIFY (PREZER CONSTRAINT NN_CFG_PREZER NOT NULL);


/*-- SEQ 0176 --*/
-- Tarefa 97684 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PREZER CHECK (PREZER IN ('T','F'));

/*-- SEQ 0177 --*/
-- Tarefa 97684 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0178 --*/
ALTER TABLE TW_CFG ADD PREZER VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0179 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0180 --*/
-- Tarefa 97682 --
ALTER TABLE TI_PRE DISABLE ALL TRIGGERS;

/*-- SEQ 0181 --*/
ALTER TABLE TI_PRE ADD FLGEST VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0182 --*/
ALTER TABLE TI_PRE ENABLE ALL TRIGGERS;

/*-- SEQ 0183 --*/
-- Tarefa 97682 --
ALTER TABLE TI_PRE MODIFY (FLGEST CONSTRAINT NN_IPRE_FLGEST NOT NULL);


/*-- SEQ 0184 --*/
-- Tarefa 97682 --
ALTER TABLE TI_PRE ADD CONSTRAINT CK_IPRE_FLGEST CHECK (FLGEST IN ('T','F'));


/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97788 --
ALTER TABLE TT_END ADD CODECO Number(10) ;



/*-- SEQ 0186 --*/
-- Tarefa 97789 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CAR ADD EXTDEB Number(10) ;


/*-- SEQ 0187 --*/
-- Tarefa 97789 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CAR ADD EXTCRE Number(10) ;



/*-- SEQ 0188 --*/
-- Tarefa 97833 --
ALTER TABLE TT_IVE MODIFY (ISEICM Number(12,2));

/*-- SEQ 0189 --*/
-- Tarefa 97833 --
ALTER TABLE TT_IVE MODIFY (OUTICM Number(12,2));


/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;


/*-- SEQ 0194 --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0196 --*/
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN MODIFY (EXPFIS CONSTRAINT NN_VEN_EXPFIS NOT NULL);


/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_EXPFIS;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0200 --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0202 --*/
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE MODIFY (EXPFIS CONSTRAINT NN_IVE_EXPFIS NOT NULL);


/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_EXPFIS;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0206 --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0208 --*/
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM MODIFY (EXPFIS CONSTRAINT NN_COM_EXPFIS NOT NULL);


/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM DROP CONSTRAINT CK_COM_EXPFIS;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0212 --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICO ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0214 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO MODIFY (EXPFIS CONSTRAINT NN_ICO_EXPFIS NOT NULL);


/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_EXPFIS;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0218 --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0220 --*/
ALTER TABLE TR_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF MODIFY (EXPFIS CONSTRAINT NN_RECF_EXPFIS NOT NULL);


/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF DROP CONSTRAINT CK_RECF_EXPFIS;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF ADD CONSTRAINT CK_RECF_EXPFIS CHECK (EXPFIS IN ('F','T'));


/*-- SEQ 0224 --*/
-- Tarefa 97982 --
ALTER TABLE TT_ITI DISABLE ALL TRIGGERS;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ITI ADD FLGATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0226 --*/
ALTER TABLE TT_ITI ENABLE ALL TRIGGERS;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97982 --
ALTER TABLE TT_ITI MODIFY (FLGATI CONSTRAINT NN_ITI_FLGATI NOT NULL);


/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97982 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_FLGATI CHECK (FLGATI IN ('T', 'F'));

/*-- SEQ 0229 --*/
-- Tarefa 97982 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0230 --*/
-- Tarefa 97982 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ITI_FLGATI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ITI_FLGATI'));

/*-- SEQ 0231 --*/
-- Tarefa 97982 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;




/*-- SEQ 0232 --*/
-- Tarefa 98002 --
ALTER TABLE TL_RCP MODIFY (NUMNOT VARCHAR2(9));


/*-- SEQ 0233 --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF ADD EXPFIS VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0235 --*/
ALTER TABLE TT_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF MODIFY (EXPFIS CONSTRAINT NN_ECF_EXPFIS NOT NULL);


/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_EXPFIS;

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0239 --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD EXPORT_CAN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0241 --*/
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM MODIFY (EXPORT_CAN CONSTRAINT NN_COM_EXPORT_CAN NOT NULL);


/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM DROP CONSTRAINT CK_COM_EXPORT_CAN;

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_EXPORT_CAN CHECK (EXPORT_CAN IN ('F','T'));


/*-- SEQ 0245 --*/
-- Tarefa 97603 --
ALTER TABLE TD_SER DROP CONSTRAINT CK_DSER_MODNOT;

/*-- SEQ 0246 --*/
-- Tarefa 97603 --
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_MODNOT CHECK (MODNOT IN (0,1,2,3,4,55,59,65));

